Introduction

PCAAD 7.0 Routines

The main window is displayed when PCAAD 7.0 starts, and forms the background for all modules and routines. The menu bar at the top of the window categorizes the antenna modules into several groups, along with some useful utilities, as listed below. Click on the desired menu item.

Plot:

Polar Pattern Plot, Rectangular Pattern Plot, 3-D Pattern Plot, Smith Chart Plot, VSWR/Return Loss Plot, Default Plot Types, Default Plot Colors, Exit

Edit:

Copy Window, Copy Graph, Copy Text, Paste Text, Edit File, Print Window

Wire Antennas:

Dipole Antenna, Dipole RCS, Horizontal Dipole Over GP, V-Dipole Antenna, Loop Antenna, Yagi Antenna, Dipole Array, General Wire Antenna, LPDA Design, LPDA Analysis.

Array Antennas:

Uniform Linear Array, Linear Subarray, Uniform Rectangular Array, Uniform Circular Array, Arbitrary Planar Array, Infinite Printed Dipole Array, Linear Array Pattern Synthesis, Grating Lobe Diagram, Effect of Random Array Errors.

Aperture Antennas:

Line Source, Rectangular Aperture, Circular Aperture, Sectoral Horns, Pyramidal and Corrugated Pyramidal Horn, Diagonal Horn, Conical and Corrugated Conical Horn, Approximate Parabolic Reflector Analysis, Symmetric Parabolic Reflector Analysis, Offset Parabolic Reflector Analysis, Spherical Reflector Analysis

Microstrip Antennas:

Rectangular Probe-fed Patch (Carver model), Rectangular Probe-fed Patch (cavity model), Rectangular Line-fed Patch (t-line model), Rectangular Proximity-coupled Patch (t-line model), Rectangular Aperture Coupled Patch (cavity model), Circular Probe-fed Patch (cavity model).

Transmission Lines:

Coaxial Line, Rectangular Waveguide, Rectangular Waveguide Data, Circular Waveguide, Microstrip Line (quasi-static), Stripline (quasi-static), Multilayer Microstrip Line (full wave), Multilayer Stripline (full wave), Coupled Microstrip Line (full wave), Coupled Stripline (full wave), Single Layer Surface Wave Modes, Multilayer Surface Wave Mode.

Miscellaneous:

Link Loss, Polarization Mismatch, Atmospheric Attenuation, Axial Ratio vs. Errors, Antenna Temperature, Calculator.

Help:

Help Contents, Help Index, Context Help, Short Course, About PCAAD .


General Instructions for Using PCAAD 7.0

After selecting a particular antenna or transmission line topic from the main PCAAD menu, a window will open for that routine. The windows for all routines have the same format: at the top left is a small graphic image of the antenna or transmission line geometry, with data entry at the top right, and output data listed below. Most routines have a Compute button that is used to initiate computations after all data has been entered. Results are displayed after the computation is finished, and most routines then allow the option of plotting data, saving data in a file, or running a new solution.

Data Entry:

Numerical values are entered in PCAAD using text boxes. When a routine starts, a flashing cursor bar will appear in the text box for the first data entry item. Type in the appropriate value, and press Enter on the keyboard to move to the next entry. You can also use the Tab key, or the mouse, to move to the next data entry. Some data items in PCAAD (generally in routines that require immediate use of that entry) require pressing the Enter key to indicate that new data has been entered, so it is a good habit to always complete entry of a value by pressing the Enter key. Error checking is performed on each data item, generally when the Compute button is pressed. If a value is found to be in error, a small error message box is displayed. Click the OK button on this message box, and focus will return to the data item box that was found to be in error. After you have computed a solution, you can change a parameter by simply entering a new value for that item, without having to re-enter all parameters.

Pattern Plotting:

Many routines involve the calculation of far-field radiation patterns. These may be plotted as planar pattern cuts on a Polar Pattern Plot or Rectangular Pattern Plot, or as a 3-D Volumetric Pattern Plot. The type of plot desired is specified by clicking the Pattern Type Select button. Elevation plane patterns can be plotted at a specified azimuthal angle for E-theta / E-phi or Co-pol / X-pol patterns (using Ludwig’s third definition), or E-plane / H-plane patterns can be selected. The elevation angle step size can also be selected. Pattern plots can be invoked directly from a PCAAD antenna analysis routine, or patterns can be plotted from data files through the Plot menu. Up to two separate patterns can be plotted on the polar or rectangular plots, but only one pattern can be plotted as a 3-D plot. Plots may be printed, or copied to the Windows clipboard for use in other applications.

Saving Pattern Data:

Routines that provide far-field radiation patterns also allow the option of saving pattern data (planar or 3D) to a file with the Save Patterns button. PCAAD 7.0 allows saving of far-field phase data, in addition to the pattern amplitude (for planar patterns). Phase data can be useful when using PCAAD results with other programs, such as characterizing a feed for reflector antenna analysis. Planar pattern data is saved as an ASCII text file, with one row for each angle. The format is: pattern angle in degrees, pattern amplitude in dB, and pattern phase in degrees. These values are delimited with one or more spaces. The PCAAD polar and rectangular pattern plotting routines can read these files, with or without the phase column. You can control whether the phase information is saved or not by using the check box on the Default Plot Types menu. For 3D volumetric patterns, the following data file format is used. The first line has three values: the elevation angle step size (degrees), the azimuth angle step size (degrees), and the maximum elevation angle range (90° for upper hemisphere only, or 180° for both hemispheres). This is followed by N = 1 + 360 / (azimuth angle step size) lines, one for each azimuth angle. Each of these lines contains 1 + 90/(elevation angle step size) pattern values in dB (for each elevation angle).

Default Directory for Data Files:

Windows usually defines a preferred directory for user applications. For example, Windows 7 may use C:\Users\user\AppData\Roaming\PCAAD7 as the directory path for your data files. The Default Directory Path menu option allows you to choose alternate directories where PCAAD data files are stored. The window displays the current default directory that PCAAD is using for data files, and the Windows User directory path for the PCAAD application. You can change the default directory to the Windows User directory, or to another directory of your choosing. You may also save your choice of default directory to the PCAAD7.INI file. Directories can also be chosen when using a File Dialog to read or save a particular data file in PCAAD.

Impedance Calculation and Plotting:

Several routines, such as the wire antenna and microstrip antenna routines, perform calculations of input impedance over a swept frequency range. The parameters of this sweep are specified as the center frequency, the frequency step size, and the number of frequency points. You can enter specific values for these parameters in the appropriate boxes, or allow PCAAD to provide estimates by clicking the Compute button. Note that the center frequency parameter refers to the middle of the frequency sweep range, which may be different from the operating frequency of the antenna. Impedance versus frequency can be plotted on a Smith Chart Plot or on a VSWR/Return Loss Plot.

Help:

PCAAD contains a comprehensive help file, in standard Windows format, with convenient cross-references and search options. The help file is context-sensitive, meaning that you can simply press the F1 key while using any routine to get help on that particular topic. Pressing the F1 key while on the main window will bring up the help contents for PCAAD. Help can also be accessed from the main menu bar, for Help Contents, the Help Index, or Context Help.

You can also access the antenna short course and tutorials from the Help menu. The short course is grouped by chapters into individual PDF files, along with a Glossary, and a quiz on antennas. Select Short Course and Tutorials from the Help menu, and the desired file from the directory listing. The file should open with the Acrobat Reader. You need to have the Acrobat Reader installed on your computer.

About PCAAD:

This option, available from the Help menu, shows the main and sub versions of PCAAD. Also shown are the directory path for the PCAAD application directory, the location of the bitmap files used by PCAAD, the current default directory for user data files, the Windows application directory for user data files, the path for the PCAAD7.INI file, the path for the Short Course and tutorial files, and the path for the PCAAD Help file.


Edit menu commands

Copy Window, Copy Graph, Copy Text, Paste Text, Edit File, Print Window

Copy Window allows you to copy the current active window to the clipboard. The window may then be pasted into another Windows application, such as a word processor. This action is similar to pressing Alt-PrintScreen, which also copies the active Window to the clipboard. Note that the entire screen image can be copied to the clipboard by pressing PrintScreen (a standard Windows command).

Copy Graph allows you to copy the current graph or plot to the Windows clipboard. The graph or plot may then be pasted into another Windows application, such as a word processor. Note that this command only copies the graph or plot, not the complete Window.

Copy Text allows you to copy text (or numerical data) from a data box to the Windows clipboard. First select the text using the mouse, then click Copy Text from the Edit menu. Multiple lines of text may be copied to the clipboard by selecting the lines (use the Shift key to select a sequence of lines, or the Ctrl key to select individual lines), then clicking Copy Text from the Edit menu.

Paste Text allows you to paste text (or numerical data) from another application into a data box in PCAAD. Click on the desired data box, and then click Paste from the Edit menu. This function can also be accomplished by pressing Ctrl-V, or by right-clicking the mouse and selecting Paste.

Edit File invokes the Windows system text editor (typically Notepad). This can be convenient when you want to view or edit a data file for use in PCAAD.

Print Window allows you to print the current active PCAAD analysis or plotting window. This function is useful for obtaining a hard copy of the complete set of input output data associated with a PCAAD 7.0 routine. Input data, output data, and graphics are printed.


Default Plot Types

The default type of pattern plots (polar, rectangular or 3-D), and impedance plots (Smith chart or VSWR/Return Loss) are selected with this window. You can select planar pattern cuts in polar or rectangular form, or a three dimensional volumetric pattern plot. Your selections on this window can be saved as default values by clicking the Save Defaults button.

For planar patterns, you have the choice of viewing either E-theta / E-phi, Co-pol / X-pol (Ludwig’s third definition), or E-plane / H-plane patterns, at a particular azimuth angle. (E-plane / H-plane patterns are not available in some PCAAD routines.) The elevation angle step size can also be specified. You can also control whether or not phase data is saved with the planar pattern data to a file by using the check box.

For 3-D volumetric patterns, the elevation and azimuth step sizes can be specified - these values should generally be between 2° to 10° for best results. Volumetric patterns may be plotted over either the upper hemisphere, or both hemispheres, depending on the type of antenna. You can choose to display only the upper hemisphere of a 3D pattern plot by using the check box. Note that many antennas in PCAAD (microstrip antennas, horn antennas, and antennas over a ground plane) have volumetric patterns that extend only over the upper hemisphere.


Default Plot Colors

This window is used to set the default colors used in the pattern (polar and rectangular) and impedance (Smith chart and VSWR/Return Loss) plotting routines. Line colors for data sets can be selected, as well as the cursor color and background color. Color selections can be saved as defaults for later use.


Polar Pattern Plot

Polar Pattern Plotting Routine

This routine plots up to five planar antenna radiation patterns in polar form. It can be called directly from most of the PCAAD antenna routines to plot patterns, or used independently from the Plot menu to plot patterns from data files. The routine also computes the main beam pointing angle, the 3 dB beamwidth of the main beam, and provides a movable angle cursor to read pattern values at any angle. The Plot Options window allows control of various plot parameters such as the number of divisions, scales, plotting ranges, offsets, and colors. The resulting plot can be printed on your printer, or exported to another application using the Windows clipboard and the Copy Graph command from the Edit menu.

To read pattern data from a data file, click the Read Data File button, and use the file dialog box to specify a filename. The data file should be in ASCII form, with each line consisting of an angle (in degrees) and the pattern (in dB) at that angle. The data must be in sequence, in order of increasing angle. The pattern files written by PCAAD 7.0 are in this format, and can be read by either the polar or the rectangular plotting routines. Up to five separate patterns can be plotted simultaneously, either from data files or PCAAD antenna routines. Each data set may be offset by a fixed amount (through the Plot Options menu), allowing patterns to be plotted in terms of absolute gain, or to facilitate comparison of patterns normalized to different values. The default file extension for planar pattern data files is .DAT.

Pattern parameters for a selected pattern are shown at the top left of the polar plotting window. Select the desired pattern by using the pull-down box. The displayed parameters include the name of the file (or the name of the data set, as set in the Plot Options window), the main beam pointing angle, the 3 dB beamwidth, the pattern value at the moveable angle cursor, and the offset of the data (as set in the Plot Options window). If the pattern does not have a well-defined main beam, or has more than one main beam (e.g., grating lobes), the beam position and beamwidth may not be meaningful, and may not be shown. The angle cursor is drawn as a dashed radial line, and can be moved by either clicking or dragging with the mouse, or by using the left and right arrow keys (NumLock must be off). When using the mouse, notice that the mouse cursor changes from an arrow to a cross-hair when moved inside the polar plotting region. Clicking the mouse inside the polar plot will snap the angle cursor to that angular position. Alternatively, the angle cursor can be moved by clicking the mouse on the angle cursor (note that the mouse cursor changes to a directional icon when over the angle cursor), and dragging to the desired position. The pattern value display is updated instantly. This feature is useful for reading sidelobe or cross-pol levels. In addition, moving the mouse over the pattern will provide an immediate display of the angle and pattern value at the mouse cursor point (the mouse cursor must be near a data point of the pattern for this to occur).

Each pattern data set can be identified with a movable text label. The label is set from Plot Options, and the labels can be turned on or off using the check box for Show Pattern Labels. Use the mouse to drag the label to the desired position on the plot.


Rectangular Pattern Plot

Rectangular Pattern Plotting Routine

This routine plots up to five planar antenna radiation patterns in rectangular form. It can be called directly from most of the PCAAD antenna routines to plot patterns, or used independently from the Plot menu to plot patterns from a data file. The routine also computes the main beam pointing angle, the 3 dB beamwidth of the main beam, and provides a movable angle cursor to read pattern values at any angle. The Plot Options window allows control of various plot parameters such as the number of divisions, scales, plotting ranges, offsets, and colors. The resulting plot can be printed on your printer, or exported to another application using the Windows clipboard and the Copy Graph command from the Edit menu.

To read pattern data from a data file, click the Read Data File button, and use the file dialog box to specify a filename. The data file should be in ASCII form, with each line consisting of an angle (in degrees) and the pattern (in dB) at that angle. The data must be in sequence, in order of increasing angle. The pattern files written by PCAAD 7.0 are in this format, and can be read by either the polar or the rectangular plotting routines. Up to five separate patterns can be plotted simultaneously, either from data files or PCAAD antenna routines. Each data set may be offset by a fixed amount (through the Plot Options menu), allowing patterns to be plotted in terms of absolute gain, or to facilitate comparison of patterns normalized to different values. The default file extension for planar pattern data files is .DAT.

Pattern parameters for a selected pattern are shown at the top left of the polar plotting window. Select the desired pattern by using the pull-down box. The displayed parameters include the name of the file (or the name of the data set, as set in the Plot Options window), the main beam pointing angle, the 3 dB beamwidth, the pattern value at the moveable angle cursor, and the offset of the data (as set in the Plot Options window). If the pattern does not have a well-defined main beam, or has more than one main beam (e.g., grating lobes), the beam position and beamwidth may not be meaningful, and may not be shown. The angle cursor is drawn as a dashed vertical line, and can be moved by either clicking or dragging with the mouse, or by using the left and right arrow keys. When using the mouse, notice that the mouse cursor changes from an arrow to a cross-hair when moved inside the rectangular plotting region. Clicking the mouse inside the rectangular plot will snap the angle cursor to that angular position. Alternatively, the angle cursor can be moved by clicking the mouse on the angle cursor (note that the mouse cursor changes to a directional icon when over the angle cursor), and dragging to the desired position. The pattern value display is updated instantly. This feature is useful for reading sidelobe or cross-pol levels.
In addition, moving the mouse over the pattern will provide an immediate display of the angle and pattern value at the mouse cursor point (the mouse cursor must be near a data point of the pattern for this to occur).

Each pattern can be identified with a movable text label. The label is set from Plot Options, and the labels can be turned on or off using the check box for Show Pattern Labels. Use the mouse to drag the label to the desired position on the plot. The vertical axis is normally labeled as Pattern (dB), but this label can be changed by modifying the PCAAD7.INI file - this can be useful when plotting directivity or gain.


3-D Pattern Plot

3-D Pattern Plotting Routine

This routine plots an antenna radiation pattern in a 3-D volumetric form. It can be invoked directly from most of the PCAAD antenna routines to plot patterns, or used independently from the Plot menu to plot patterns from a data file. Data files of this type can be generated from most of the PCAAD routines, and are given the default file extension .3DP, to distinguish them from planar pattern data files. The 3-D pattern plot can also be printed on your printer, or exported to another application using the Windows clipboard and the Copy Graph command from the Edit menu.

For 3-D volumetric patterns, the following data file format is used. The first line has three values: the elevation angle step size (degrees), the azimuth angle step size (degrees), and the maximum elevation angle range (90º for upper hemisphere only, or 180º for both hemispheres). This is followed by N = 1 + 360 / (azimuth step size) lines, one for each azimuth angle. Each of these lines contains 1 + 90/(elevation angle step size) pattern values, normalized from 0 to 1. (The data is generated by normalizing the pattern to 0 dB, limiting the lowest pattern value to -30 dB, then scaling to the range of 0 to 1 for plotting.)

The routine has three slider controls to allow adjustment of the plot size, the elevation view angle, and the azimuth view angle. The plot is redrawn after each adjustment of these controls. A color bar near the bottom of the window shows the scale, with red corresponding to 0 dB, and blue to -30 dB. There are checkbox options for showing the gridlines on the plot, for displaying the coordinate axes, and for showing the reference scale. There is also an option to display a cross-sectional view of the 3D plot over a 90° sector.


Smith Chart Plot

Smith Chart Plotting Routine

The Smith Chart plotting routine is a very versatile tool, capable of plotting up to five sets of impedance data, and incorporating an easy-to-use impedance matching capability. It can be called directly from routines that calculate impedance, such as the wire antenna and microstrip element routines, or it can be used independently from the Plot menu to plot impedance data from ASCII data files.

When used with data files, the file should be in ASCII form with one line for each data point. The real part, the imaginary part, and an optional data point label (up to five characters long) should be delimited with commas or spaces. The data point labels are commonly used as frequency markers, but other parameters can be used as well (such as scan angle). The impedance data is assumed to be in absolute (ohms, not normalized) form. Click the Read Data File button to select a data file. Up to five data sets can be displayed, except when the impedance matching solution is used. The impedance matching response must always be the last data set, so further data is prevented from being read when the impedance matching response is on.

From the Smith chart window, you can use the mouse to click on any data point, and read the exact value of its impedance in the data box at the top left of the window. This display also gives the corresponding normalized impedance, and the reflection coefficient for that impedance. The chart also shows a constant VSWR circle (dashed circle), which may be adjusted by either dragging with the mouse cursor, or by entering a new value in the VSWR data entry box at the left side of the chart. Similarly, the chart also shows a dashed radial line indicating wavelengths toward the load (WTL), and wavelengths toward the generator (WTG). This line may be set by dragging with the mouse, or by entering a value of WTL or WTG in the appropriate data box. In addition, the VSWR and WTL/WTG cursors may be set to a particular data point by double clicking on that point. Smith chart options such as interpolation, characteristic impedance, a rotated 1+jx circle, colors, and other display options can be set by clicking the Plot Options button. Colors can also be set from the Default Plot Colors window available under Plot on the main menu bar - this window also allows saving of your color selections as defaults. Each impedance data set can be identified with a movable text label. The label is initially set as the filename for that data set (if the data was read from a file), or the name of the calling routine (if the data was obtained from another PCAAD routine). You can also set the labels from the Plot Options window, and the labels can be turned on or off using the check box for Show Data Point and Set Labels (enter blanks for the data set label if you want data point labels but not a data set label). Use the mouse to drag the label to the desired position on the Smith chart.

PCAAD also features a general purpose impedance matching routine coupled to the Smith chart. With one or more (but less than five) data sets displayed, first select a data set and a matching frequency by clicking on the desired data point (if you do not select a data point, the program will use the midpoint of the first data set). Then turn on the impedance matching feature by clicking the On button in the Impedance Matching frame. The response of the matched impedance data will be displayed. You may change the matching frequency using the scroll box (the impedance data set must have frequency labels for each data point). You may choose the type of matching circuit from the list box – a quarter-wave transformer, LC networks, open- and short-circuit shunt stubs, and open- and short-circuit series stubs are available (see Reference [9] for a discussion of impedance matching techniques). Except for the quarter-wave transformer, each of these circuits yields two different matching solutions, which can be selected with the buttons marked Solution #1 and Solution #2. Each matching solution has two parameters (transformer impedance and length, series and shunt components values, or stub length and position). These values are listed for the selected matching network and solution. (For the stub tuners, the characteristic impedance of the transmission line and stub are assumed to be the same as the characteristic impedance of the Smith chart.) Only a single impedance data set can be matched at one time; to change the data set to be matched, turn off the impedance matching feature, select a data point on the new data set, and turn impedance matching back on. Once the matching parameters have been selected, the routine calculates the input impedance seen looking into the matching network at each frequency, and plots this as a new impedance locus on the chart. The user can study the effect of changing matching circuits, the match frequency, and different matching solutions very easily with this routine. The effect of changes in component values can be studied simply be entering new values in the component value boxes. Note that, for data sets having a wide frequency range between data points, it is possible that the plotted impedance loci for the original or matched data sets may run off the edge of the chart – this is because the accuracy of interpolation may not be sufficient. If this is a problem, interpolation may be turned off in the Plot Options window. When the impedance matching feature is in use, no further data sets may be read.


VSWR / Return Loss Plotting

VSWR / Return Loss Plotting Routine

This routine plots up to two sets of impedance data as either VSWR or return loss (in dB) versus frequency. It can be called directly from PCAAD routines that calculate impedance, such as the wire antenna and microstrip element routines, or it can be used independently from the Plot menu to plot impedance data from a file. The resulting plot can be printed on your printer, or exported to another application using the Windows clipboard and the Copy Graph command from the Edit menu.

Select either a VSWR or Return Loss plot by clicking the appropriate option button to the left of the plot. Plot Options such as interpolation and color of data, characteristic impedance, and the range and number of divisions for the vertical and frequency scales can be set by clicking the Plot Options button.

When used with a data file, the file should be in ASCII form with one line for each data point. The real part, the imaginary part, and the frequency (up to five characters) should be delimited with commas or spaces. The impedance data is assumed to be in absolute (ohms, not normalized) form. This is the same format used by the Smith chart routine, and the format that PCAAD uses when saving impedance data to a file.


Dipole Antenna

Wire Dipole Antenna Analysis

This routine computes the input impedance, broadside gain, and radiation pattern of a dipole antenna. The feed point can be placed at the center of any expansion mode. The solution uses the piecewise sinusoidal expansion (PWS) Galerkin method, with the exact exponential integral expressions used for the impedance matrix elements, as detailed in References [10]-[11]. This method has proven to be an accurate and efficient technique for solving thin wire antenna and scattering problems.

Begin by entering the dipole length, the dipole radius, the number of PWS expansion modes, and the position of the feed generator. The generator feed point must be located at the center of a PWS expansion mode. If the dipole is center-fed, the number of expansion modes should be odd, and the mode number of the generator should be the middle mode (this mode number is automatically selected as the default mode number for the generator). Pattern plots can be made in the E- and H-planes of the dipole, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The resonant frequency of the dipole, the frequency step size, and the default number (7) of frequency points are displayed to the right of the Compute button. These values can be estimated by the routine by clicking the Compute button, or you can enter your own values for center frequency, frequency step size, and the number of frequency points.

Upon clicking the Compute button, the routine will compute the moment method solution for the dipole, and list the input impedance versus frequency in the list box. The scroll bar can be used to scroll through the data. The gain of the dipole at its beam maximum is computed at the center frequency of the frequency sweep. At this point, from the Results tree, you can plot the impedance characteristics versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and can save the impedance data in a data file. The specified patterns are calculated at the center frequency, and may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the dipole may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user folder. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


Dipole Radar Cross Section

Wire Dipole Radar Cross Section Analysis

This routine is very similar to the dipole antenna routine, except that it computes the bistatic radar cross section (RCS) for a loaded wire dipole. The solution uses the piecewise sinusoidal expansion (PWS) Galerkin method, with the exact exponential integral expressions used for the impedance matrix elements, as detailed in References [10]-[11]. This method has proven to be an accurate and efficient technique for solving thin wire antenna and scattering problems.

Begin by entering the dipole length, the dipole radius, and the incidence and scattering angles. These angles are measured from the axis of the dipole, and have default values of 90° (broadside). Next enter the number of PWS expansion modes, and the mode number of the lumped-element load impedance. The default number of expansion modes is 3, and the default position of the lumped load is at the terminals of the middle expansion mode. Then enter the real and imaginary parts of the load impedance; the default values are zero. The resonant frequency of the dipole, the frequency step size, and the default number (7) of frequency points are displayed to the right of the Compute button. These values can be estimated by the routine by clicking the Compute button, or you can enter your own values for center frequency, frequency step size, and the number of frequency points. The geometry of the dipole may be viewed in three dimensions by clicking the Show Geometry button.

Upon clicking the Compute button, the routine will compute the moment method solution for the dipole, compute the RCS of the dipole over the specified frequency sweep, and list the results in dB per square meter, and in dB per square wavelength, in a list box. The scroll bar can be used to scroll through the data. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors. The RCS data (in dBsm) can be written to a data file by clicking Save Data.


Horizontal Dipole Over Ground Plane

Horizontal Dipole Over Ground Plane Analysis

This routine computes the input impedance, broadside gain, and radiation pattern of a horizontal dipole antenna over an infinite perfectly conducting ground plane. The feed point can be placed at the center of any expansion mode. The solution uses the piecewise sinusoidal expansion (PWS) Galerkin method, with the exact exponential integral expressions used for the impedance matrix elements, as detailed in References [10]-[11]. This method has proven to be an accurate and efficient technique for solving thin wire antenna and scattering problems.

Begin by entering the dipole length, the dipole radius, the height above the ground plane, the number of PWS expansion modes, and the position of the feed generator. The dipole must be above the ground plane. The generator feed point must be located at the center of a PWS expansion mode. If the dipole is center-fed, the number of expansion modes should be odd, and the mode number of the generator should be the middle mode (this mode number is automatically selected as the default mode number for the generator). Pattern plots can be made in the E- and H-planes of the dipole, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The resonant frequency of the dipole, the frequency step size, and the default number (7) of frequency points are displayed to the right of the Compute button. These values can be estimated by the routine by clicking the Compute button, or you can enter your own values for center frequency, frequency step size, and the number of frequency points.

Upon clicking the Compute button, the routine will compute the moment method solution for the dipole, and list the input impedance versus frequency in the list box. The scroll bar can be used to scroll through the data. The gain of the dipole at its beam maximum is computed at the center frequency of the frequency sweep. At this point, from the Results tree, you can plot the impedance characteristics versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and can save the impedance data in a data file. The specified patterns are calculated at the center frequency, and may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the dipole may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


Vertical Dipole Over Ground Plane

Vertical Dipole Over Ground Plane Analysis

This routine computes the input impedance, broadside gain, and radiation pattern of a vertical dipole antenna over an infinite perfectly conducting ground plane. The feed point can be placed at the center of any expansion mode. The solution uses the piecewise sinusoidal expansion (PWS) Galerkin method, with the exact exponential integral expressions used for the impedance matrix elements, as detailed in References [10]-[11]. This method has proven to be an accurate and efficient technique for solving thin wire antenna and scattering problems.

Begin by entering the dipole length, the dipole radius, the height (of the center of the dipole) above the ground plane, the number of PWS expansion modes, and the position of the feed generator. The entire dipole must be above the ground plane. The generator feed point must be located at the center of a PWS expansion mode. If the dipole is center-fed, the number of expansion modes should be odd, and the mode number of the generator should be the middle mode (this mode number is automatically selected as the default mode number for the generator). Pattern plots can be made in the E- and H-planes of the dipole, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The resonant frequency of the dipole, the frequency step size, and the default number (7) of frequency points are displayed to the right of the Compute button. These values can be estimated by the routine by clicking the Compute button, or you can enter your own values for center frequency, frequency step size, and the number of frequency points.

Upon clicking the Compute button, the routine will compute the moment method solution for the dipole, and list the input impedance versus frequency in the list box. The scroll bar can be used to scroll through the data. The gain of the dipole at its beam maximum is computed at the center frequency of the frequency sweep. At this point, from the Results tree, you can plot the impedance characteristics versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and can save the impedance data in a data file. The specified patterns are calculated at the center frequency, and may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the dipole may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


V-Dipole Antenna

V-Dipole Antenna Analysis

This routine computes the input impedance, gain, and radiation pattern of a V-dipole antenna. The internal angle of the V-dipole is variable (an angle of 180° corresponds to a straight dipole). The feed point is at the apex of the wire arms. The solution uses the piecewise sinusoidal expansion (PWS) Galerkin method, with the exact exponential integral expressions used for the impedance matrix elements, as detailed in References [10]-[11]. This method has proven to be an accurate and efficient technique for solving thin wire antenna and scattering problems.

Begin by entering the dipole arm length, the dipole radius, the number of PWS expansion modes, and the internal angle of the dipole (between 2° and 180°). Because of symmetry, the number of PWS expansion modes must be odd. Pattern plots can be made in the E- and H-planes of the dipole, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The resonant frequency of the V-dipole, the frequency step size, and the default number (7) of frequency points are displayed to the right of the Compute button. These values can be estimated by the routine by clicking the Compute button, or you can enter your own values for center frequency, frequency step size, and the number of frequency points.

Upon clicking the Compute button, the routine will compute the moment method solution for the V-dipole, and list the input impedance versus frequency in the list box. The scroll bar can be used to scroll through the data. The gain of the dipole at its beam maximum is computed at the center frequency of the frequency sweep. At this point, from the Results tree, you can plot the impedance characteristics versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and can save the impedance data in a data file. The specified patterns are calculated at the center frequency, and may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the V-dipole antenna may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


Loop Antenna

Wire Loop Antenna Analysis

This routine computes the input impedance, gain, and radiation pattern of a wire loop antenna. The solution uses the piecewise sinusoidal expansion (PWS) Galerkin method, with the exact exponential integral expressions used for the impedance matrix elements, as detailed in References [10]-[11]. This method has proven to be an accurate and efficient technique for solving thin wire antenna and scattering problems.

Begin by entering the radius of the loop, the wire radius, and the number of PWS expansion modes. Pattern plots can be made in the E- and H-planes of the loop, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Note that electrically small loops have an E-phi polarization, but larger loops may have E-theta polarization (the Co- and X-pol fields are assumed to be E-phi and E-theta for this routine). Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The resonant frequency of the loop, the frequency step size, and the default number (7) of frequency points are displayed to the right of the Compute button. These values can be estimated by the routine by clicking the Compute button, or you can enter your own values for center frequency, frequency step size, and the number of frequency points.

Upon clicking the Compute button, the routine will compute the moment method solution for the loop antenna, and list the input impedance versus frequency in the list box. The scroll bar can be used to scroll through the data. The gain of the loop at its beam maximum is computed at the center frequency of the frequency sweep (note that electrically small loops have a pattern null on axis, while larger loops have a beam maximum on the axis of the loop). At this point, from the Results tree, you can plot the impedance characteristics versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and can save the impedance data in a data file. The specified patterns are calculated at the center frequency, and may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the loop may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


Yagi Dipole Array

Yagi Dipole Array Analysis

This routine analyzes a Yagi-Uda dipole array using a moment method solution that includes all mutual coupling terms. Dipole currents are expanded using piecewise sinusoidal (PWS) modes, as described in References [10]-[11]. The routine computes input impedance, gain, front-to-back ratio, and patterns for the array. The array is assumed to have one dipole reflector element, one driven dipole element, and an arbitrary number of dipole director elements. The length and spacing for each element is variable, but the radius is assumed to be the same for all elements.

Begin by entering the frequency, the dipole radius, the number of PWS modes on each dipole, and the number of director elements. Next, specify the lengths and spacings of the elements using the scroll bar and boxes. The name of each element is listed in the box to the right of the scroll bar, followed by boxes for its length and spacing from the previous element. Thus, the spacing of the first element (the reflector) is not used, and is set to zero. Use the scroll bar to scroll through the elements to set or change lengths and spacings. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button.

When all data is entered, click the Compute button to compute the moment method solution for the Yagi antenna. The input impedance, gain, and front-to-back ratio will be listed. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the Yagi may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


Wire Dipole Array

Finite Wire Dipole Array Analysis

This routine analyzes a finite planar wire dipole array using a moment method solution that includes all mutual coupling terms. Dipole currents are expanded using piecewise sinusoidal (PWS) modes, as described in References [10]-[11]. The routine computes input impedance at each dipole, the array gain, and patterns for the array. The number and spacing of dipoles in each plane of the array is variable, but all dipoles are assumed to have the same length and radius. Each dipole is center-fed with an arbitrary voltage generator, with a series generator impedance. As shown in the graphic, the dipoles are all parallel to the x-axis, and are numbered by rows along the x-axis.

Begin by entering the frequency, the number of dipoles in the x and y-directions, and the spacings (center-to-center) of the dipoles in the x and y-directions. Also enter the dipole length, the dipole radius, the number of PWS modes on each dipole, and the series generator resistance. The generator resistance is the same for all dipoles. Next, specify the generator voltage at each dipole using the scroll bar and boxes. The dipole index (numbered along the x axis, by rows, starting at the bottom) is listed in the box to the right of the scroll bar, followed by boxes for the generator voltage magnitude and phase (in degrees). Use the scroll bar to scroll through the elements to set or change generator voltages. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button.

When all data is entered, click the Compute button to calculate the moment method solution. The input impedance for each dipole will be listed in the box below the Compute button; use the scroll bar to scroll through the data. The input impedance is that seen looking into the dipole terminals, in contrast to the impedance seen from the generator (which would include the generator series resistance). The routine computes the gain of the array at the main beam position, assuming the main beam occurs in the plane where the patterns have been specified. The gain is computed in terms of the input power to the dipoles, and does not include power dissipated in the generator impedance. The logic here is that a realistic source will consist of a voltage generator and a series generator impedance, and the power dissipated in the source impedance should not be considered as a loss in the antenna itself.

The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files. The geometry of the dipole array may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors. The modes are counted from left to right for each element, and along the E-plane rows of the array.


Log-Periodic Dipole Array Design

This routine gives an approximate design for a log-periodic dipole array, for a specified bandwidth and gain, based on the formulas given in Reference [1], with corrections from Reference [7]. The routine computes the necessary number of dipoles in the array, and the spacings, lengths, and radii for each element.

First enter the lower and upper frequencies of the operating band. Then enter the desired gain (between 7 and 11 dB), and the radius of the largest dipole. The routine prints out the array scale factors, σ and τ, followed by a list of the spacing, length, and radius for each element in the array. The scroll bar in the list box can be used to scroll through the elements. Spacings are measured from the largest dipole; the last spacing is therefore not used.


Log-Periodic Dipole Array Analysis

This routine performs a complete analysis of a log-periodic dipole array using a moment method solution that includes all mutual coupling terms. Dipole currents are expanded using piecewise sinusoidal (PWS) modes, as described in References [10]-[11]. The array is fed with a transmission line having alternating terminals, and analyzed using port admittance matrices as described in Reference [2]. The routine computes the input impedance at the feed port, the array directivity and gain, and the patterns for the array. As shown in the graphic, the dipoles are all parallel to the x-axis, with the main beam in the z direction. The feed is assumed to be at the terminals of the smallest dipole, and a matched load is assumed to be located at the terminals of the largest dipole. The dimensions and spacings can be manually entered for each dipole, or you can enter the sigma and tau parameters for the array and let the routine calculate all necessary dimensions.

Begin by entering the frequency, the feed line characteristic impedance, the number of dipoles in the array, and the number of expansion modes to be used on each dipole (this value may need to be increased for frequencies at the high end of the operating range). At this point you can click the Get Data button to enter the σ and τ parameters of the LPDA array, along with the length and radius of the first (longest) dipole in the array. The routine will then compute all necessary dimensions and spacings for the array, and automatically enter these values (upon clicking the OK button) into the scroll boxes. Alternatively, you can manually enter the length, spacing, and radius for each dipole in the array. The dipoles are numbered starting from the largest element; the last spacing value is not used. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button.

When all data is entered, click the Compute button to calculate the moment method solution. The input impedance, directivity, and gain (accounting for power lost in the termination resistor), and the front-to-back ratio are listed, along with the magnitude and phase of the terminal currents at each dipole (these values include the 180° phase reversal introduced by the feed line). This data can be used to observe how the "active region" moves along the array as frequency changes. From the Results tree, you can plot the patterns of the LPDA by clicking the appropriate option in the Results tree, or save the patterns to data files. The geometry of the LPDA may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. After each computation, data is automatically written to a log file called WIRE.LOG, located in your PCAAD user directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.


General Wire Antenna

General Wire Antenna Analysis

This routine analyzes a general wire antenna geometry using a moment method solution that includes all mutual coupling terms. An arbitrary number of bent wire segments can be specified, with arbitrary positions, and voltage generators and lumped loads can be specified at the terminals of any expansion mode. The main limitation is that junctions between more than two wires are not allowed. All wires must also have the same radius. Wire currents are expanded using piecewise sinusoidal (PWS) modes, as described in References [10]-[11]. The wire geometry is specified by defining a set of x,y,z coordinates to define the terminals of each PWS expansion mode on the wire structure. The geometry is specified in an ASCII data file (extension .ANT), with the following format (note: the format of this data file differs from that used in PCAAD 4.0):

FREQ, A | frequency (GHz), wire radius (cm)
NP | number of points on the wire structure (each mode requires three points)
X, Y, Z | coordinates (in cm) of each point on the wire geometry (one row for each point)
NM | number of PWS expansion modes
I1, I2, I3 | indices of the three points (end, terminals, end) that define each PWS mode (one row for each mode)
NPORTS | number of generator and/or load ports (must be less than the number of modes)
PORTMODE, VGR, VGI, ZLR, ZLI | mode number of port, real and imaginary generator voltage, real and imaginary load impedance (one line for each port)

This data file can be created using a standard text editor; (see the DIPOLE.ANT, ARRAY.ANT, and YAGI.ANT files in the PCAAD user directory for examples of how the geometry files can be written). PWS modes are laid out along the wires starting from the first endpoint at point I1, to the terminals at point I2, and to the second endpoint at point I3. Note that each arm of a PWS expansion mode must be less than a quarter-wavelength long at the operating frequency. The routine computes the currents on the wires, the input impedance at each port, the directivity and gain of the antenna, the radiation efficiency, and the radiation patterns for the antenna.

The routine begins with a dialog box to enter a filename for the wire antenna geometry. The routine then lists some of the parameters of the wire geometry (number of points, number of expansion modes, and the number of feed ports) in three text boxes - these can only be changed by changing the geometry data file. The routine also reads the operating frequency from the data file, but you may enter a different operating frequency, if desired. Because the polarization of an arbitrary wire antenna is not known, E-plane / H-plane patterns and Co-pol / X-pol patterns are not available for this routine, but E-theta and E-phi patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button.

Click the Compute button to begin computation of the moment method solution. When this calculation is complete, the gain, directivity, radiation efficiency, port impedances, and mode currents will be listed. At this point, from the Results tree, you can plot the specified patterns by clicking the appropriate option in the Results tree, or save the patterns to data files. The geometry of the wire antenna may be viewed in three dimensions by clicking the Show Geometry item in the Results tree. The perspective view may be rotated in elevation and azimuth using the scroll bars at the sides of the graph, and can be adjusted in size by using the zoom scroll bar. After each computation, data is automatically written to a log file called WIRE.LOG, located in the PCAAD program directory. This data includes the frequency, wire radius, coordinates of all points on the wire structure, the definition of the PWS expansion modes, the moment method impedance matrix, and the voltage and current vectors.

As in the case of the planar dipole array, this routine computes the input impedance at each port as seen looking into the wire terminals, and does not directly include the series load impedance, if present. Similarly, the power dissipated in the antenna does not include power lost in the series generator impedances. If a port has a load impedance without a generator, however, the power lost in that load is included in the antenna loss. The logic here is that a realistic source will consist of a voltage generator and a series generator impedance, and the power dissipated in the source impedance should not be considered as a loss in the antenna itself. Lumped loads apart from the generators will, however, contribute to antenna loss. Thus an antenna with matched generators, but without separate lumped loads, will have an efficiency of 100%. An antenna having resistive lumped loads (e.g., a loaded dipole) will have an efficiency less than 100%.


Uniform Linear Array

Uniform Linear Array Design and Analysis

This routine is used to plot patterns and compute the directivity of a linear array antenna. You can specify array size, amplitude taper, phase distribution, and element type. The routine can also be used to compute the directivity of the array. As indicated in the picture at the top left of the form, the array is assumed to lie along the x-axis; if a ground plane is present (depending on the element type), it is positioned below the array parallel to the x-y plane. The element spacing is measured between the centers of adjacent elements. Mutual coupling effects are not included in this routine. Directivity is computed by numerical integration of the pattern, which can be time consuming for large arrays. The maximum size of the array is limited to 200 elements.

This routine uses three additional windows to select the array amplitude distribution, the array phase distribution, and the array element type. These windows are accessed by clicking the small Select button to the right of the appropriate text box for amplitude, phase, and element type. The selected amplitude and phase distributions can each be modified with Gaussian distributed random errors, and can be saved as data files. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Note that E-plane / H-plane patterns are not available when the array elements are vertical monopoles. Patterns can be plotted in polar, rectangular, or volumetric (3-D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button.


Linear Subarray

Linear Subarray Design and Analysis

This routine is used to plot patterns of a linear array antenna composed of elements having an arbitrary element pattern defined by a data file. This is useful for analyzing arrays of subarrays, or arrays of elements that are not available through the element menu of the linear array routine. For example, this routine can be used to find patterns of an array of elements having a measured element pattern, an array of horn antennas, or an array of subarrays. You can specify array size (number of elements or subarrays), the amplitude taper, and the phase distribution. The element spacing is measured between the centers of adjacent elements (or subarrays). The element pattern is specified only in the plane of the array, and assumed to be constant in the plane orthogonal to the array. For this reason the directivity may not be meaningful, and is not calculated. The polarization of the elements or subarrays is assumed to be along the x-axis. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3-D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. As indicated in the picture at the top left of the window, the array is assumed to lie along the x-axis. The pattern is computed using the array factor of the array multiplied by the subarray pattern. Mutual coupling effects are not included in this routine. The maximum size of the array is limited to 200 elements.

This routine uses two additional windows to select the array amplitude distribution, and the array phase distribution. The available amplitude and phase options are the same as those for the linear array module, and are accessed by clicking the small Select button to the right of the appropriate text box for amplitude and phase. The selected amplitude and phase distributions can each be modified with Gaussian distributed random errors, and can be saved as data files. The element pattern file is selected with a file dialog box. The element pattern data is assumed to be in the format of (angle in degrees, pattern in dB), with an angle range that extends at least from -90° to 90°. The step size of the element data file is arbitrary – numerical interpolation is used when necessary. Pattern files generated by other PCAAD routines follow this format, allowing other PCAAD routines to be used to generate element patterns for direct use in this routine. For example, a horn antenna module can be used to generate a pattern file, which can then be used in this routine to find the pattern of an array of horns.


Uniform Planar Array

Uniform Rectangular Array Design and Analysis

This routine is used to plot patterns and compute the directivity of a rectangular planar array. You can specify array size, amplitude taper, phase distribution, and element type. The number of elements and the element spacing (center-to-center) in each plane can be specified separately. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Note that E-plane / H-plane patterns are not available when the array elements are vertical monopoles. Patterns can be plotted in polar, rectangular, or volumetric (3-D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The directivity of the array can also be calculated. As indicated in the picture at the top left of the form, the array is assumed to lie in the x-y plane; if a ground plane is present (depending on the element type), it is positioned below the array parallel to the x-y plane. The pattern is computed using the array factor of the array multiplied by the element factor. Mutual coupling effects are not included in this routine. Directivity is computed by numerical integration of the pattern, which can be very time consuming for large arrays. The maximum size of the array is limited to 200 elements in each dimension.

As indicated in the picture at the top left of the form, the array is assumed to lie in the x-y plane; if a ground plane is present (depending on the element type), it is positioned below the array parallel to the x-y plane. The angle of the grid can be adjusted to treat arrays having either a rectangular or a triangular grid. The grid angle is 90° for a rectangular grid; for an equilateral triangular grid the grid angle is 60°.

This routine uses three additional windows to select the array amplitude distribution, the array phase distribution, and the array element type. These windows are accessed by clicking the small Select button to the right of the appropriate text box for amplitude, phase, and element type. The selected amplitude and phase distributions can each be modified with Gaussian distributed random errors, and can be saved as data files.


Circular Array

Uniform Circular Planar Array Design and Analysis

This routine is used to plot patterns and compute the directivity of a circular planar array. You can specify the radius of the array, element spacing (center-to-center), a radial amplitude taper, and the element type. The grid spacing of the elements is rectangular, and the routine calculates the number of elements that will approximately fit within a circular area of the specified radius. The amplitude taper is applied linearly (in dB) in the radial direction, assuming 0 dB at the center of the array, and an edge taper as specified. The element type is selected by clicking the small Select button to the right of the text box for element type. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Note that E-plane / H-plane patterns are not available when the array elements are vertical monopoles. Patterns can be plotted in polar, rectangular, or volumetric (3-D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The directivity of the array can also be calculated. As indicated in the picture at the top left of the form, the array is assumed to lie in the x-y plane; if a ground plane is present (depending on the element type), it is positioned below the array parallel to the x-y plane. The pattern is computed using the array factor of the array multiplied by the element factor. Mutual coupling effects are not included in this routine. Directivity is computed by numerical integration of the pattern, which can be very time consuming for large arrays. There is no limit to the maximum size of the array, but the directivity calculation will be unacceptably time consuming for more than about 100 elements.


Arbitrary Planar Array

Arbitrary Planar Array Design and Analysis

This routine is used to plot patterns and compute the directivity of a planar array of elements having arbitrary locations in the x-y plane, and having arbitrary excitations. A data file is used to specify element coordinates, excitation amplitude, and excitation phase. You can specify the element type from the same selection of elements available in the other array routines. Pattern plots can be made in the E- and H-planes of the array, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Patterns can be plotted in polar, rectangular, or volumetric (3-D) form, and patterns can be saved as data files. Select the pattern type and parameters with the Pattern Type Select button. The directivity of the array can also be calculated. As indicated in the picture at the top left of the form, the array is assumed to lie in the x-y plane; if a ground plane is present (depending on the element type), it is positioned below the array parallel to the x-y plane. The pattern is computed using the array factor of the array multiplied by the element factor. Mutual coupling effects are not included in this routine. Directivity is computed by numerical integration of the pattern, which can be very time consuming for large arrays. The maximum size of the array is limited to 200 elements in each dimension.

The element data file is selected with a file dialog box. The data file should have the format of (x-coord in cm, y-coord in cm, amplitude, phase in degrees), with one line for each element. The amplitude data is in absolute voltage or current form (not in dB). The routine uses an additional window to select the array element type, accessed by clicking the Select button to the right of the text box.


Infinite Array of Printed Dipoles

Infinite Printed Dipole Array Analysis

This routine computes the input impedance of an infinite array of dipole antennas printed on a grounded dielectric substrate using the full-wave solution described in Reference [12]. It uses the exact Green's function for the dielectric substrate, and includes all mutual coupling effects. It can be used to treat dipoles in free space above a ground plane by using a substrate dielectric constant of 1.0. The array grid may be either rectangular or triangular (equilateral). The number of piecewise sinusoidal expansion modes on each dipole can also be chosen; this should be an odd number since the dipoles are assumed to be center-fed. One to three modes is usually sufficient for accurate results.

The required array parameters include the element spacings (center-to-center) in the E and H planes, the dipole length and width, and the substrate thickness and dielectric constant. Input impedance data will be calculated for a fixed azimuth scan angle, and elevation angles from zero to 90 degrees. You must enter both the azimuth angle and the elevation step size. The input impedance at each elevation angle is listed in the list box as it is computed. Scroll through the list using the scroll bar. You also have the option, from the Results tree, of plotting the impedance data on a Smith chart plot or a VSWR/Return Loss plot, or saving the data to a file.


Linear Array Pattern Synthesis

Woodward-Lawson Linear Array Pattern Synthesis

This routine is used to synthesize the pattern of a uniform linear array using the Woodward-Lawson method References [1], [2]. You can specify array size, element spacing, and frequency. The pattern values to be synthesized are specified at discrete pattern angles according to the Woodward-Lawson algorithm. The amplitude and phase excitation for each element are computed. Planar patterns may be plotted for the array plane, or a volumetric (3-D) pattern may be plotted. The array elements are assumed to be isotropic sources. The pattern is computed using the array factor of the array; mutual coupling effects are not included. A property of the Woodward-Lawson synthesis method is that it will provide a pattern that exactly matches the desired pattern at the sample angles. The maximum size of the array is limited to 200 elements.

Begin by entering the operating frequency, the number of elements in the array, and the element spacing. The routine will calculate discrete angles where the pattern will be sampled, and list these in the scroll box. The desired pattern value (in dB) can then be filled in the text box for each angle. Use the scroll bar to scroll through the set of samples. Select the pattern type and parameters with the Pattern Type Select button. The routine will then compute the required amplitude and phase necessary to reproduce the desired pattern at the sample values, list these values in a scroll box, and compute the resulting synthesized pattern. From the Results tree you can plot the patterns of the array by clicking the appropriate option, or save the patterns to data files. The calculated pattern is not normalized (other PCAAD routines normalize the maximum pattern value to 0 dB), in order to compare the synthesized pattern with the specified pattern values. For this reason, it may be necessary to adjust the maximum value of the pattern plot to view the entire pattern. When plotting the pattern of sample points, it may be helpful to set the Line Style to Data Points, via the Plot Options menu.


Grating Lobe Diagram

Grating Lobe Diagram for a Planar Array

This routine plots a grating lobe diagram for a periodic planar array antenna, including the optional plotting of surface wave circles. A grating lobe diagram can be very helpful for determining the presence and location of grating lobes, and the movement of grating lobes with scan angle. In conjunction with surface wave circles, the grating lobe diagram can be used to predict the location of scan blindness angles in printed array antennas, as discussed in Reference [12], or other arrays having a structure that supports guided waves. This routine provides a zoom scroll bar to adjust the size of u-v space that is plotted, and a convenient readout in u-v and q, f, coordinates of the mouse cursor when it is positioned in the visible space region of the grating lobe diagram.

Begin by entering the array operating frequency, and the element spacings (center-to-center) in the horizontal and vertical directions. Next, enter the array grid angle, a. As shown in the diagram below, a grid angle of 90° corresponds to a rectangular array, while a grid angle of 60° corresponds to an array with a hexagonal grid. (For a hexagonal grid, the maximum element spacings with no grating lobes in visible space are a = 0.5774 l (horizontal spacing), b = 0.5 l (vertical spacing)). If you would like to plot surface wave circles, enter a non-zero value for the normalized surface wave propagation constant; this can be computed using the Surface Waves module under the Transmission Lines menu. Click the Plot Circles button to draw the grating lobe circles; the plot will automatically be updated if new data is entered, or if the zoom scroll bar is used. By default, the routine plots a segment of the u = sinqcosf, v = sinqsinf plane from -3 < u < 3 and -3 < v < 3. The zoom scroll bar near the top of the window can be used to adjust this range. The visible space region of the grating lobe diagram occurs for u2 + v2 < 1, and is colored in light gray on the plot. The grating lobe circles are drawn in blue, and the surface wave circles are drawn in red. Moving the mouse cursor through the visible space region of the diagram will cause the readout box near the middle of the window to give a display of the cursor position in u-v space, as well as the corresponding theta-phi scan angle. In this way you can easily determine the scan angle at which a grating lobe enters visible space, or the angle at which a scan blindness will occur. More accuracy can be obtained by zooming in on the visible space region by using the zoom scroll bar.


Random Array Errors

Effect of Array Excitation Errors and Failed Elements

The effect of random amplitude and phase errors on the pattern of an array is to raise the sidelobe level and decrease the gain. This routine computes the average sidelobe level and average loss in gain for an array having random amplitude and phase errors. The routine also includes the effect of failed elements in an array, and the quantization phase error and quantization lobe level due to phase shifter quantization. This routine is based on results given in Reference [25]

Begin by entering the rms amplitude error, in +dB, followed by the rms phase error, in degrees. Each of these errors is assumed to have a normal distribution with zero mean. The phase error may be positive or negative. If desired, also enter the percentage of elements in the array considered to have failed (this value should be less than 100%). Click the Compute button to calculate the resulting average sidelobe level, and loss in gain, due to the entered errors and failed elements.

Note that the average sidelobe level is given relative to isotropic. The array directivity must be known to convert this value to a sidelobe level relative to the main beam of the array. For example, if the average sidelobe level due to errors is 5 dBi, and the error-free directivity of the array is 23 dB, then the sidelobe level relative to the main beam would be 5 – 23 = -18 dB. Note that this is a residual sidelobe level caused by errors, in contrast to the design sidelobe level that is determined by the amplitude taper. The resulting sidelobe level will be the larger of these two levels. Thus, for the example above, if the array were designed for -13 dB sidelobes, the average error sidelobe level of -18 dB would probably not be noticeable. If, however, the array were designed for -25 dB sidelobes, the actual sidelobe level in the presence of errors would be in the range of -18 dB.

A separate frame is provide for phase shifter quantization effects. Use the list box to enter the number of bits for the phase shifters. Once a value is selected, the peak phase error (+/- degrees) will be displayed, along with the rms phase error (+/- degrees). The rms phase error value is also transferred to the phase error box in the excitation errors frame, for convenience. The level of the quantization lobe is also displayed – note that this value is given relative to the main beam of the array. The quantization lobe is due to the periodic phase error that is introduced when digital phase shifters are used in an array. This lobe is often higher than nearby sidelobes, especially when a small number of phase shifter bits are used. See Reference [25] for techniques to reduce the effects of quantization lobes. Setting the phase shifter bits to Off turns off the phase shifter calculation functions.


Line Source Antenna

Traveling Wave Line Source Analysis

This routine calculates the pattern and directivity for a traveling wave electric line source antenna on the z-axis. Examples of such antennas include long wire antennas, dielectric rod antennas, electrically long slot antennas, and leaky wave antennas. The phase constant and attenuation constant can be specified, and the antenna can be fed at either the end (traveling wave) or at the center (standing wave). A sinθ element pattern can also be included, if desired. Patterns are computed using the closed-form expressions found in Reference [1]. Directivity is calculated using closed-form expressions.

Begin by entering the frequency, line source length, and phase and attenuation constants. Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the aperture, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Click the Compute button to calculate the patterns and directivity. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Rectangular Aperture Antenna

Rectangular Aperture Antenna Analysis

This routine computes the patterns and directivity of a rectangular aperture antenna having a uniform phase distribution and either uniform or cosine tapered amplitude distributions in the E- and H-planes. The patterns are computed using closed-form expressions from References [1]-[2]. For accuracy for small apertures, the directivity is calculated by numerical integration when the aperture is smaller than 10λ on a side. For electrically large apertures the usual directivity approximation based on aperture area (with the appropriate aperture efficiency) is used. The aperture is assumed to be polarized in the y-direction, and the radiation is assumed to be one-sided.

Begin by entering the frequency and the E-plane and H-plane aperture dimensions. Then select the amplitude taper using the pull-down menu. You may choose to have either a uniform or a cosine taper in either of the two dimensions of the aperture (a TE10 waveguide mode corresponds to uniform in y, cosine in x). Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the aperture, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Click the Compute button to calculate the patterns and directivity. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Circular Aperture Antenna

Circular Aperture Antenna Analysis

This routine computes the patterns and directivity of a circular aperture antenna having a uniform phase distribution and either uniform or a parabolic tapered amplitude distributions in the radial plane. The patterns are computed using closed-form expressions from References [1]-[2]. For accuracy for small apertures, the directivity is calculated by numerical pattern integration when the aperture is less than 10λ in diameter. For electrically large apertures the usual directivity approximation based on aperture area (with the appropriate aperture efficiency) is used. The aperture is assumed to be polarized in the y-direction, and the radiation is assumed to be one-sided.

Begin by entering the frequency and the aperture diameter. Then select the amplitude taper using the pull-down menu. You may choose to use either a uniform or a parabolic taper in the radial direction (the parabolic taper has a maximum at the center of the aperture, and is zero at the edge). Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the aperture, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. Click the Compute button to calculate the patterns and directivity. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Sectoral Horn Antenna

E- and H-Plane Sectoral Horn Analysis

These two routines compute the patterns and directivity of an E-plane or H-plane sectoral horn antenna, using closed-form expressions from Reference [1]. The choice of E-plane or H-plane horn is made from the Aperture antenna menu. The directivity expression for E-plane sectoral horns has been corrected according to Reference [17]. The phase center, for both principal planes, is also computed. The phase center is measured back from the aperture, toward the apex of the horn.

Begin by entering the frequency, the E-plane aperture dimension, the H-plane aperture dimension, and the axial length of the horn. This length is the distance from the imaginary apex of the horn to the mouth of the horn (not the slant length). Select the pattern type and parameters with the Pattern Type Select button. Click the Compute button to compute the patterns and related antenna parameters. The routine prints out the maximum phase error at the edge of the aperture (relative to the center of the aperture), the optimum E-plane aperture dimension, the directivity of the horn, and the E- and H-plane phase centers. The optimum aperture dimension is the dimension that will result in maximum directivity for a horn of the same length. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Pyramidal and Corrugated Pyramidal Horn Antenna

Pyramidal and Corrugated Pyramidal Horn Analysis

These two routines compute the patterns and directivity of pyramidal or corrugated pyramidal horn antennas, using closed-form expressions from Reference [1]. For horns with small apertures, accuracy is improved by computing the directivity by numerical integration of the pattern. The choice of pyramidal or corrugated pyramidal horn is made from the Aperture antenna menu The phase center, for both principal planes, is also computed. The phase center is measured back from the aperture, toward the apex of the horn.

Begin by entering the frequency, the E and H-plane aperture dimensions, and the axial lengths of the horn in the E and H planes. The axial lengths are the distances from the imaginary apex of the horn in the E and H planes to the mouth of the horn (not the slant distances). Select the pattern type and parameters with the Pattern Type Select button.Click the Compute button to compute the patterns and related antenna parameters. The routine prints out the maximum phase errors at the edges of the aperture (relative to the center of the aperture), the optimum aperture dimensions, the directivity of the horn, and the E- and H-plane phase centers. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Diagonal Horn Antenna

Diagonal Horn Analysis

The diagonal horn antenna has a square aperture with the exciting electric field oriented along a diagonal axis. The main beam of the diagonal horn has circular symmetry, and the principal plane patterns have low sidelobes, with no cross-polarization. Further discussion of the diagonal horn antenna can be found in Reference [27].

Begin by entering the frequency, the (square) aperture dimension, and the axial length of the horn. Select the pattern type and parameters with the Pattern Type Select button. Click the Compute button to compute the patterns and related antenna parameters. The routine prints out the maximum phase error at the edge of the aperture (relative to the center of the aperture), the directivity of the horn, and the E- and H-plane phase centers (which are always identical). The phase center is measured back from the aperture, toward the apex of the horn. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files


Conical and Corrugated Conical Horn Antennas

Conical and Corrugated Conical Horn Analysis

These two routines compute the patterns and directivity of a conical (TE11 mode), or a corrugated conical (HE11 mode), horn antenna. The principle plane patterns are computed using an efficient numerical integration algorithm that includes the quadratic phase error term. The phase center, for both principal planes, is also computed. The phase center is measured back from the aperture, toward the apex of the horn.

Begin by entering the frequency, the aperture radius, and the axial length of the horn. This length is the distance from the imaginary apex of the horn to the mouth of the horn (not the slant distance). Select the pattern type and parameters with the Pattern Type Select button. Click the Compute button to compute the patterns and related antenna parameters. The routine prints out the maximum phase error at the edge of the aperture (relative to the center of the aperture), the directivity of the horn, and the E- and H-plane phase centers (these are identical for the corrugated horn). The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Parabolic Reflector Antenna Analysis (approximate)

Approximate Parabolic Reflector Analysis

This routine analyzes the performance of a prime-focus parabolic reflector antenna, under the assumption that the feed antenna has a rotationally symmetric power pattern that can be approximated as cosn(q). In this case, simple (but exact) expressions can be obtained for the spillover and taper efficiencies, as discussed in Reference [1]. The effect of surface roughness can also be included.

Begin by entering the frequency, the f/D ratio, the dish diameter, and the rms surface roughness. The surface roughness dimension has a default value of zero. Next, specify the feed pattern in one of three forms: enter either the 3 dB beamwidth, the 10 dB beamwidth, or the actual value of n = 2, 4, 6, or 8 for a power pattern of the form cosn(q). If you specify a beamwidth, the routine will calculate the closest value of n that approximates this beamwidth, and will print out the value of n that will be used. The routine computes the spillover, taper, roughness, and total aperture efficiencies, and computes the directivity of the antenna. The 3 dB beamwidth is calculated from the directivity.


Symmetric Parabolic Reflector Antenna Analysis

Symmetric Parabolic Reflector Analysis

This routine computes the patterns of a symmetric parabolic reflector antenna using the Jacobi-Bessel series method References [29]. This method is rigorous, but does not require integration of the aperture for each pattern angle, and therefore is extremely fast computationally. It provides accurate patterns at wide angles, for a variety of feeds, including displaced feeds. In addition to computing co- and cross-pol patterns, this routine can also provide plots of the aperture amplitude distribution, the aperture phase distribution, the reflector geometry, the antenna gain, and the losses associated with spillover, amplitude taper, polarization loss, surface roughness, and feed blockage. The user can choose from a set of built-in feed antennas, including an ideal cosq(q) pattern, a dipole, a pyramidal horn, or circular horns. The feed pattern may also be specified using data files for the E- and H-plane patterns.

Begin by entering the frequency, the f/D ratio, the dish diameter, and the surface roughness for the reflector (the surface roughness dimension has a default value of zero). Next, select the feed antenna from one of the five choices using the pull-down list, or select Feed From Data Files to use external feed pattern data. Depending on the choice of feed, additional parameters will be specified for the feed dipole or horn dimensions. For the ideal cosq(q) (field) feed, specify either the exponent, q>0, or specify the -10 dB angle of the feed (the half-angle, in degrees). When specifying the feed pattern from data files, the feed pattern data must be in the format of (angle in degrees, pattern amplitude in dB), with delimiters of either commas, spaces, or tabs, with an angle range that extends at least from -90° to 90°. Optionally, feed pattern phase can be included as (angle in degrees, pattern amplitude in dB, pattern phase in degrees). The step size of the feed pattern data file is arbitrary - numerical interpolation is used when necessary. Pattern files generated by other PCAAD routines follow this format, allowing other PCAAD routines to be used to generate feed patterns for direct use in this routine. For example, the array antenna module can be used to generate E- and H-plane feed pattern files, which can then be used in this routine to find the secondary patterns of the reflector.

Next, specify the displacement of the feed from the focal point of the reflector. The feed may be displaced laterally (the x or y directions), or axially (the z direction). The displacement is limited to less than 2λ in the lateral directions to avoid long computation times (and because large displacements are generally not used in practice due to large drops in gain). A lateral displacement will result in a shift of the main beam in the opposite direction, while a axial displacement will result in de-focusing of the main beam. Note that the coordinate reference point for the feed is at the center of the dipole, or at the center of the aperture for horns. This point may not coincide with the true phase center of the feed antenna. Aperture blockage by the feed can also be specified, if desired. Feed blockage is computed by eliminating a central disk of the aperture excitation during numerical integration. The feed polarization can be chosen to be either vertical (y direction), or horizontal (x direction).

Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the reflector, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. 3-D volumetric patterns are not available because the beamwidth of most reflectors is too narrow to be plotted in volumetric form. Since most reflector antennas have narrow beamwidths, the elevation step size should be small, typically between 0.01° and 0.1°. Also specify the maximum angular range of the elevation pattern plot. Because of the narrow beamwidth of most reflector antennas, the maximum angular range of the pattern calculation usually does not need to exceed a few degrees. Unlike other methods of reflector antenna analysis, the Jacobi-Bessel method does not use appreciably more computer time as the pattern step size, or pattern angle range, is increased.

After clicking the Compute button, the patterns will be calculated and various results will be presented. On the right side of the window a loss budget for the reflector will be given, starting with the maximum directivity that is available from the aperture area of the reflector. Below this is listed the spillover loss, the amplitude taper loss, the phase error loss, the surface roughness loss, and the feed blockage loss. The net result is the Estimated Gain of the reflector. Note that several of these figures are only estimates when feed displacements are non-zero because of the complicated interaction between phase, amplitude, main beam position, and the resulting gain, and the fact that these losses are computed independently of each other. The gain figure listed on the left side of the window, however, is based on the rigorously computed far-field pattern, and should be accurate. Note that both gain figures are for the gain at the main beam position; when an axial offset is present, the main beam often has a "dip" so that the maximum gain does not occur at the center of the main beam. The beam deformation factor, subtended half-angle of the dish, and the aperture efficiency (based on the maximum directivity of the aperture and the computed gain), is also listed on the left side of the window..

Other results are available as listed in the Results tree. Plot the patterns of the reflector, or save the patterns to a data file, by clicking the appropriate item in the Results tree. Click Co-pol Amplitude, X-pol Amplitude, or Co-pol Phase to plot the corresponding data for the aperture distribution of the reflector. The geometry of the reflector antenna may be viewed by clicking Show Geometry. Information on the solution (including the number of term used in the Jacobi-Bessel method, the CPU time, and similar data) can be viewed under Solution Notes. Solution time is fastest for the cosq(q) and dipole feeds, and slower for the horn feeds, particularly for the circular horn feeds since these require numerical integration to calculate their patterns.


Offset Parabolic Reflector Antenna Analysis

Offset Parabolic Reflector Analysis

This routine computes the patterns of an offset parabolic reflector antenna using the Jacobi-Bessel series method References [29]. This method is rigorous, but does not require integration of the aperture for each pattern angle, and therefore is extremely fast computationally. It provides accurate patterns at wide angles, for a variety of feeds, including displaced feeds. In addition to computing co- and cross-pol patterns, this routine can also provide plots of the aperture amplitude distribution, the aperture phase distribution, the reflector geometry, the antenna gain, and the loss associated with surface roughness. The user can choose from a set of built-in feed antennas, including an ideal cosq(q) pattern, a dipole, a pyramidal horn, or circular horns. The feed pattern may also be specified using data files for the E- and H-plane patterns.

(The analysis of the offset reflector uses the same routine as for the symmetric reflector (where h = 0), but the symmetric reflector case allows fairly accurate independent calculations of spillover, taper, and phase losses.)

Begin by entering the frequency, the f / Dp ratio (where Dp is the diameter of the parent paraboloid), the actual dish diameter, the surface roughness for the reflector (the surface roughness dimension has a default value of zero), and the height, h, of the center of the projected aperture above the axis of the reflector. Next, select the feed antenna from one of the five choices using the pull-down list, or select Feed From Data Files to use external feed pattern data. Depending on the choice of feed, additional parameters will be specified for the feed dipole or horn dimensions. For the ideal cosq(q) (field) feed, specify either the exponent, q>0, or specify the -10 dB angle of the feed (the half-angle, in degrees). When specifying the feed pattern from data files, the feed pattern data must be in the format of (angle in degrees, pattern amplitude in dB), with delimiters of either commas, spaces, or tabs, with an angle range that extends at least from -90° to 90°. Optionally, feed pattern phase can be included as (angle in degrees, pattern amplitude in dB, pattern phase in degrees). The step size of the feed pattern data file is arbitrary - numerical interpolation is used when necessary. Pattern files generated by other PCAAD routines follow this format, allowing other PCAAD routines to be used to generate feed patterns for direct use in this routine. For example, the array antenna module can be used to generate E- and H-plane feed pattern files, which can then be used in this routine to find the secondary patterns of the reflector.

Next, specify the displacement of the feed from the focal point of the reflector. The feed may be displaced laterally (in the x or y directions), or axially (the z direction). The displacement is limited to less than 2λ in the lateral directions to avoid long computation times (and because large displacements are generally not used in practice due to large drops in gain). A lateral displacement will result in a shift of the main beam in the opposite direction, while a axial displacement will result in de-focusing of the main beam. Note that the coordinate reference point for the feed is at the center of the dipole, or at the center of the aperture for the horns. This point may not coincide with the actual phase center of the feed antenna. The feed polarization can be chosen to be either vertical (y direction), or horizontal (x direction). The feed is assumed to be pointed at an angle toward the center of the dish.

Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the reflector, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. 3-D volumetric patterns are not available because the beamwidth of most reflectors is too narrow to be plotted in volumetric form. Since most reflector antennas have narrow beamwidths, the elevation step size should be small, typically between 0.01° and 0.1°. Also specify the maximum angular range of the elevation pattern plot. Because of the narrow beamwidth of most reflector antennas, the maximum angular range of the pattern calculation usually does not need to exceed a few degrees. Unlike other methods of reflector antenna analysis, the Jacobi-Bessel method does not use appreciably more computer time as the pattern step size, or pattern angle range, is increased.

After clicking the Compute button, the patterns will be calculated and various results will be presented. On the right side of the window the maximum directivity that is available from the aperture of the reflector will be printed, along with losses due to spillover, amplitude taper, and surface roughness. On the left side of the window is printed the subtended angle from the horizontal axis to the center of the dish, the beam deformation factor, the aperture efficiency (based on the maximum directivity of the aperture), and the calculated gain (based on the rigorously computed far-field pattern).

Other results are available as listed in the Results tree. Plot the patterns of the reflector, or save the patterns to a data file, by clicking the appropriate item in the Results tree. Click Co-pol Amplitude, X-pol Amplitude, or Co-pol Phase to plot the corresponding data for the aperture distribution of the reflector. The geometry of the reflector antenna may be viewed by clicking Show Geometry. Additional information on the solution (including the number of term used in the Jacobi-Bessel method, the CPU time, and some useful geometrical parameters of the offset reflector) can be viewed under Solution Notes. Solution time is fastest for the cosq(q) and dipole feeds, and slower for the horn feeds, particularly for the circular horn feeds since these require numerical integration to calculate their patterns.


Spherical Reflector Antenna Analysis

Spherical Reflector Analysis

This routine computes the patterns of a spherical reflector antenna using the Jacobi-Bessel series method Reference [29]. This method is rigorous, but does not require integration of the aperture for each pattern angle, and therefore is extremely fast computationally. It provides accurate patterns for a variety of feeds. In addition to computing co- and cross-pol patterns, this routine can also provide plots of the aperture amplitude distribution, the aperture phase distribution, the reflector geometry, the antenna gain, and the losses associated with spillover, amplitude taper, phase errors, and surface roughness. The user can choose from a set of built-in feed antennas, including an ideal cosq(θ) pattern, a dipole, a pyramidal horn, or circular horns. The feed pattern may also be specified using data files for the E- and H-plane patterns. Due to problems with numerical convergence, it is best to avoid reflectors that are close to hemispherical - thus the program restricts reflector diameter to be less than 80% of the spherical diameter.

Begin by entering the frequency, the radius of the spherical reflector surface, the dish diameter, and the surface roughness for the reflector (the surface roughness dimension has a default value of zero). Next, select the feed antenna from one of the five choices using the pull-down list, or select Feed From Data Files to use external feed pattern data. Depending on the choice of feed, additional parameters will be specified for the feed dipole or horn dimensions. For the ideal cosq(θ) (field) feed, specify either the exponent, q>0, or specify the -10 dB angle of the feed (the half-angle, in degrees). When specifying the feed pattern from data files, the feed pattern data must be in the format of (angle in degrees, pattern amplitude in dB), with delimiters of either commas, spaces, or tabs, with an angle range that extends at least from -90° to 90°. Optionally, feed pattern phase can be included as (angle in degrees, pattern amplitude in dB, pattern phase in degrees). The step size of the feed pattern data file is arbitrary - numerical interpolation is used when necessary. Pattern files generated by other PCAAD routines follow this format, allowing other PCAAD routines to be used to generate feed patterns for direct use in this routine. For example, the array antenna module can be used to generate E- and H-plane feed pattern files, which can then be used in this routine to find the secondary patterns of the reflector.

Next, specify the axial displacement of the feed from the center of the reflector. Typically a spherical reflector uses a feed located approximately halfway between the reflector surface and the center of the sphere (the entry in this case would be a positive value). Note that the coordinate reference point for the feed is at the center of the dipole, or at the center of the aperture for the horns. This point may not coincide with the phase center of the feed antenna. The feed polarization can be chosen to be either vertical (y direction), or horizontal (x direction).

Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the reflector, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. 3-D volumetric patterns are not available because the beamwidth of most reflectors is too narrow to be plotted in volumetric form. Since most reflector antennas have narrow beamwidths, the elevation step size should be small, typically between 0.01° and 0.1°. Also specify the maximum angular range of the elevation pattern plot. Because of the narrow beamwidth of most reflector antennas, the maximum angular range of the pattern calculation usually does not need to exceed a few degrees. Unlike other methods of reflector antenna analysis, the Jacobi-Bessel method does not use appreciably more computer time as the pattern step size, or pattern angle range, is increased. Note that because most spherical reflectors are under-illuminated, the pattern at wide angles will likely be inaccurate - it is therefore suggested to limit the pattern computation range to a few beamwidths.

After clicking the Compute button, the patterns will be calculated and various results will be presented. On the right side of the window a loss budget for the reflector will be given, starting with the maximum directivity that is available from the aperture area of the reflector. Below this is listed the spillover loss, the amplitude taper loss, the phase error loss, and the surface roughness loss. The net result is the Estimated Gain of the reflector. On the right side of the window is listed the subtended half angle of the reflector, the aperture efficiency (based on the maximum directivity of the aperture and the computed gain), and the computed gain (as found from the computed far-field pattern).

Other results are available as listed in the Results tree. Plot the patterns of the reflector, or save the patterns to a data file, by clicking the appropriate item in the Results tree. Click Co-pol Amplitude, X-pol Amplitude, or Co-pol Phase to plot the corresponding data for the aperture distribution of the reflector. The geometry of the reflector antenna may be viewed by clicking Show Geometry. Information on the solution (including the number of term used in the Jacobi-Bessel method, the CPU time, and similar data) can be viewed under Solution Notes. Solution time is fastest for the cosq(θ) and dipole feeds, and slower for the horn feeds, particularly for the circular horn feeds since these require numerical integration to calculate their patterns.


Beam Efficiency

Beam Efficiency of an Aperture Antenna

This routine calculates the beam efficiency of an aperture antenna. Beam efficiency is defined as the ratio of the radiated power over a fixed angular range to the total radiated power. The angular range is often chosen as the -3 dB points or -10 dB points, but may be arbitrary. This quantity gives a measure of how much power is radiated in the main beam relative to the total power, and is useful in a number of applications where the power received off the main beam is important to system performance.

Enter the frequency of operation, the maximum angle for the beam efficiency calculation, and the desired step size. Next, select the antenna type from one of the five choices using the pull-down list, or select Feed From Data Files to use external feed pattern data. Depending on the choice of feed, additional parameters will be specified for the feed dipole or horn dimensions. For the ideal cosq(θ) (field) feed, specify the exponent of the field pattern, q>0. When specifying the feed pattern from data files, the feed pattern data must be in the format of (angle in degrees, pattern amplitude in dB), with delimiters of either commas, spaces, or tabs, with an angle range that extends at least from -90° to 90°. Optionally, feed pattern phase can be included as (angle in degrees, pattern amplitude in dB, pattern phase in degrees). The step size of the feed pattern data file is arbitrary - numerical interpolation is used when necessary. Pattern files generated by other PCAAD routines follow this format, allowing other PCAAD routines to be used to generate feed patterns for direct use in this routine. For example, the array antenna module can be used to generate E- and H-plane feed pattern files, which can then be used in this routine to find the secondary patterns of the reflector.

Click Compute to compute the beam efficiency over the selected range of angles. The beam efficiency data will be listed versus angle in the list box. The beam efficiency may be plotted clicking Plot Beam Efficiency option in the Results tree, or saved to a data file by clicking Save Data.


Rectangular Probe-fed Microstrip Antenna (Carver Model)

Rectangular Probe-fed Patch Analysis (Carver model)

This routine analyzes a rectangular probe-fed microstrip antenna using Carver's transmission line model discussed in References [5], [13]. It treats the patch as a transmission line with equivalent end admittances to account for radiation, and length extensions are used to account for fringing fields at the radiating edges. The radiation patterns are found from the equivalent magnetic currents for the dominant TM10 mode at the edges of the patch, including the sidewall contributions. The sidewall currents do not contribute to the principal plane patterns, but do have an effect on cross-pol fields and directivity, which is calculated by integrating the far-field patterns. This solution generally gives good results for microstrip antennas on thin substrates with low dielectric constants.

Enter the patch length (in the resonant direction), the patch width, the dielectric constant, the substrate thickness, the dielectric loss tangent, and the distance of the probe from the radiating edge of the patch. Select the pattern type and parameters with the Pattern Type Select button. Pattern plots can be made in the E- and H-planes of the patch, or E-theta / E-phi or Co-pol / X-pol patterns can be made at an arbitrary azimuth angle. The routine will compute the approximate resonant frequency, the input resistance, the approximate bandwidth, the radiation efficiency, and the directivity. The specified patterns may be plotted by clicking the appropriate option in the Results tree, or saved to data files.


Rectangular Probe-fed Microstrip Antenna (cavity model)

Rectangular Probe-fed Patch Analysis

This routine analyzes a rectangular probe-fed microstrip antenna using a cavity model similar to that discussed in Reference [7]. The patch is treated as a lossy cavity to account for radiation, and length extensions are used to account for fringing fields at the radiating edges. A parallel RLC circuit is then used to compute the input impedance versus frequency. The radiation patterns are found from the equivalent magnetic currents for the dominant TM10 mode at the edges of the patch. The directivity is calculated by integrating the far-field patterns. This solution generally gives good results for microstrip antennas on thin substrates with low dielectric constants.

Enter the patch length (in the resonant direction), the patch width, the dielectric constant, the substrate thickness, the dielectric loss tangent, and the distance of the probe from the radiating edge of the patch (the probe is assumed to be centered along the width dimension). The routine will then estimate the resonant frequency of the antenna, and suggest a frequency step size. These values are displayed, along with the default number of frequency points, in three boxes to the right of the Compute button Click the Compute button to accept these values for the frequency sweep, or enter new values for the sweep center frequency, the frequency step size, or the number of frequency points. Select the pattern type and parameters with the Pattern Type Select button. The routine will compute the input impedance of the antenna over the frequency sweep and display the results in the list box. If necessary, use the scroll bar at the right of the box to scroll through the list of impedances. The routine also computes the approximate bandwidth, the radiation efficiency, and the directivity of the antenna. From the Results tree you can plot patterns, or the impedance locus versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and may save patterns or impedance to data files.


Rectangular Line-fed Microstrip Antenna

Rectangular Line-fed Patch Analysis

This routine analyzes a rectangular microstrip line-fed microstrip antenna using a transmission line model discussed in Reference [8]. The patch is treated as a transmission line with equivalent end admittances to account for radiation, and length extensions are used to account for fringing fields at the radiating edges. The transmission line circuit is used to compute input impedance versus frequency. The radiation patterns are found from the equivalent magnetic currents for the dominant TM10 mode at the edges of the patch. The directivity is calculated by integrating the far-field patterns. This solution has been validated for a large number of practical designs, and generally gives good results for microstrip antennas on thin substrates with low dielectric constants.

Enter the patch length (in the resonant direction), the patch width, the dielectric constant, the substrate thickness, the dielectric loss tangent, and the width of the microstrip feed line. The routine will compute and display the required feed line width for a 50 Ω line; enter a new value if your line impedance is different. The routine will then estimate the resonant frequency of the antenna, and suggest a frequency step size. These values are displayed, along with the default number of frequency points, in three boxes to the right of the Compute button. Click the Compute button to accept these values for the frequency sweep, or enter new values for the sweep center frequency, the frequency step size, or the number of frequency points.Select the pattern type and parameters with the Pattern Type Select button. The routine will then compute the input impedance of the antenna over this frequency sweep, and display the results in the list box. If necessary, use the scroll bar at the right of the box to scroll through the list of impedances. The routine also computes the approximate bandwidth, the radiation efficiency, and the directivity of the antenna. From the Results tree you can plot patterns, or the impedance locus versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and may save patterns or impedance to data files.


Rectangular Proximity Coupled Microstrip Antenna

Rectangular Proximity-Coupled Patch Analysis

This routine analyzes a rectangular proximity-coupled microstrip antenna using a transmission line model discussed in References [8], [20]. The patch is treated as a transmission line with equivalent end admittances to account for radiation, and length extensions are used to account for fringing fields at the radiating edges. The reciprocity method is used to compute the coupling term between the feed line and the edge of the patch, and the transmission line circuit is used to compute input impedance versus frequency. The radiation patterns are found from the equivalent magnetic currents for the dominant TM10 mode at the edges of the patch. The directivity is calculated by integrating the far-field patterns. This solution is not highly accurate, but generally gives good results for microstrip antennas on thin substrates with low dielectric constants.

Enter the patch length (in the resonant direction), the patch width, the total substrate thickness, the dielectric constant, and the height of the feed line above the ground plane (this must be less than the substrate thickness). Next enter the width of the microstrip feed line, and the loss tangent of the substrate material. Finally, enter the stub length, as measured from the edge of the patch to the end of the stub. The routine will then estimate the resonant frequency of the antenna, and suggest a frequency step size. These values are displayed, along with the default number of frequency points, in three boxes to the right of the Compute button. Click the Compute button to accept these values for the frequency sweep, or enter new values for the sweep center frequency, the frequency step size, or the number of frequency points. Select the pattern type and parameters with the Pattern Type Select button. The routine will then compute the input impedance of the antenna over this frequency sweep, and display the results in the list box. If necessary, use the scroll bar at the right of the box to scroll through the list of impedances. The routine also computes the approximate bandwidth, the radiation efficiency, and the directivity of the antenna. From the Results tree you can plot patterns, or the impedance locus versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and may save patterns or impedance to data files.


Rectangular Aperture Coupled Microstrip Antenna

Rectangular Aperture Coupled Patch Analysis

This routine analyzes a rectangular aperture coupled microstrip antenna Reference [14], using a cavity model solution for the patch combined with the reciprocity method Reference [15] for treating the slot feed and microstrip line. The patch is modeled as a lossy cavity with magnetic sidewalls, and the Q is found by integrating the radiated fields of the patch. Length extensions are used to account for fringing fields at the radiating edges of the patch, and closed-form approximations for short slots are used for the slot self-conductance and susceptance. The radiation patterns are found from the equivalent magnetic currents for the dominant TM10 mode at the edges of the patch. The directivity is calculated by integrating the far-field patterns. It is assumed that the coupling slot is centered under the patch, the feed line is centered across the slot, and that the feed line is terminated with an open-circuited stub.

First enter the parameters for the patch side of the antenna geometry: the substrate thickness, dielectric constant, patch length (resonant dimension), patch width, slot length (long dimension), and slot width (short dimension). Then enter the parameters for the feed side of the antenna: the substrate thickness, dielectric constant, feed line width, and tuning stub length (measured from the center of the slot to the end of the stub). The routine will then estimate the resonant frequency of the antenna, and suggest a frequency step size. These values are displayed, along with the default number of frequency points, in three boxes to the right of the Compute button. Click the Compute button to accept these values for the frequency sweep, or enter new values for the sweep center frequency, the frequency step size, or the number of frequency points. Select the pattern type and parameters with the Pattern Type Select button. The routine will then compute the input impedance of the antenna over this frequency sweep, and display the results in the list box. If necessary, use the scroll bar at the right of the box to scroll through the list of impedances. The phase reference for the input impedance is on the feed line at the center of the feed slot. The routine also computes the approximate bandwidth, the radiation efficiency, the front-to-back ratio, and the directivity of the antenna. From the Results tree you can plot patterns, or the impedance locus versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and may save patterns or impedance to data files.


Circular Probe-fed Microstrip Antenna

Circular Probe-fed Microstrip Analysis

This routine analyzes a circular probe-fed microstrip antenna using a cavity model similar to that discussed in Reference [8]. The patch is treated as a lossy cavity to account for radiation, and length extensions are used to account for fringing fields at the patch edge. A parallel RLC circuit is then used to compute the input impedance versus frequency. The radiation patterns are found from the equivalent magnetic currents for the dominant TM11 mode. The directivity is calculated by integrating the far-field patterns. This solution generally gives good results for microstrip antennas on thin substrates with low dielectric constants.

Enter the patch radius, the radial distance to the feed probe, the substrate thickness, the dielectric constant, and the dielectric loss tangent. The routine will then estimate the resonant frequency of the antenna, and suggest a frequency step size. These values are displayed, along with the default number of frequency points, in three boxes to the right of the Compute button. Click the Compute button to accept these values for the frequency sweep, or enter new values for the sweep center frequency, the frequency step size, or the number of frequency points.Select the pattern type and parameters with the Pattern Type Select button. The routine will then compute the input impedance of the antenna over this frequency sweep, and display the results in the list box. If necessary, use the scroll bar at the right of the box to scroll through the list of impedances. The routine also computes the approximate bandwidth, the radiation efficiency, and the directivity of the antenna. From the Results tree you can plot patterns, or the impedance locus versus frequency on a Smith chart plot or a VSWR/Return Loss plot, and may save patterns or impedance to data files.


Coaxial Line

Coaxial Line Analysis

This routine computes the characteristic impedance and attenuation due to dielectric loss and conductor loss for a coaxial line. It also computes the cut-off frequency of the TE11 waveguide mode of the coaxial line. The formulas used in this routine are standard results, as found in Reference [9].

Begin by entering the inner conductor radius, and the outer conductor radius, and the dielectric constant. Click the Compute Zo button, and the routine will compute and print the characteristic impedance of the coaxial line and the approximate cut-off frequency of the TE11 waveguide mode. You can compute attenuation for the coaxial line by entering the frequency, the loss tangent of the dielectric filling material, and the conductivity of the coax conductors. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute Attenuation button, and the attenuation due to dielectric loss, conductor loss, and the total attenuation will be displayed in dB/cm.


Rectangular Waveguide

Rectangular Waveguide Analysis

This routine computes the cut-off frequencies and propagation constants for the five lowest order modes of a rectangular waveguide, and the attenuation due to dielectric and conductor losses for the TE10 mode. Begin by entering the E-plane (narrow wall) and H-plane (broad wall) inside dimensions of the guide, the dielectric constant of the material filling the guide, and the operating frequency. Click the Compute button, and the routine will compute and print the cutoff frequencies of the (1, 0), (2, 0), (0, 1), (1, 1), and (0, 2) modes; if the mode is propagating at the specified frequency, the propagation constant will also be printed, otherwise it is listed as cut-off. The formulas used in this routine are standard results, as found in Reference [9].

You can compute attenuation for the dominant TE10 mode, if it is propagating, by entering the loss tangent of the dielectric filling material and the conductivity of the waveguide walls. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute Attenuation button, and the attenuation due to dielectric loss, conductor loss, and the total attenuation will be displayed in dB/cm.


Rectangular Waveguide Data

Standard Rectangular Waveguide Data

This routine lists data for standard rectangular waveguide, including the WR-number, the standard band letter designation, the recommended operating frequency range, the cutoff frequency for the TE10 mode, and the inner dimensions of the guide. The scroll bar at the right side of the list box can be used to scroll the entries up or down. The source data for this routine is stored in the ASCII file RecWGData.DAT (in the PCAAD user directory), which you may edit to add or change the data displayed by PCAAD 7.0. The data for each guide is entered on a separate line, with spaces or tabs as delimiters between the data elements.

The routine also allows you to send dimensions for a particular guide to the Rectangular Waveguide Analysis routine, for convenient calculation of propagation constants, higher-order mode cutoff frequencies, or attenuation. Select a waveguide by clicking on the appropriate line in the list box (the line will be highlighted), then click the Send to Rec. WG button. The window for the Standard Rectangular Waveguide Data routine will close, and the Rectangular Waveguide Analysis window will open, with the dimensions for the selected guide automatically entered in the appropriate data boxes.


Circular Waveguide

Circular Waveguide Analysis

This routine computes the cut-off frequencies and propagation constants for the five lowest order modes of a circular waveguide, and the attenuation due to dielectric and conductor losses for the TE11 mode. Begin by entering the inside radius of the guide, the dielectric constant of the material filling the guide, and the operating frequency. Click the Compute button, and the routine will compute and print the cutoff frequencies of the TE11, TM01, TE21, TE01, and TM11 modes; if the mode is propagating at the specified frequency, the propagation constant will also be printed, otherwise it is listed as cut-off. The formulas used in this routine are standard results, as found in Reference [9].

You can compute attenuation for the dominant TE11 mode, if it is propagating, by entering the loss tangent of the dielectric filling material and the conductivity of the waveguide walls. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute Attenuation button, and the attenuation due to dielectric loss, conductor loss, and the total attenuation will be displayed in dB/cm.


Microstrip Line

Microstrip Line Analysis and Design (quasi-static)

This routine is used to find the characteristic impedance of a microstrip transmission line, given the substrate parameters and line width, or to find the line width, given the substrate parameters and the characteristic impedance. Attenuation due to conductor and dielectric loss can also be calculated, if desired. These solutions employ closed-form quasi-static formulas that generally give good results for most practical design problems, as discussed in Reference [9].

First choose either the Compute Zo option, or the Compute width option, by clicking the appropriate button at the left side of the window. This will change the input statements for the relevant data entry. When computing characteristic impedance, you will enter the dielectric constant, the substrate thickness, and the line width. Click the Compute Zo button to compute and print the characteristic impedance and the effective dielectric constant for the line. When calculating line width for microstrip design, you will enter the characteristic impedance, the dielectric constant, and the substrate thickness. Click the Compute Width button to compute and display the required line width, and the effective dielectric constant for the line.

You may compute the attenuation for the line for either the line analysis or the line design case. Enter the frequency, the loss tangent of the dielectric filling material, and the conductivity of the microstrip conductors. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute Attenuation button, and the attenuation due to dielectric loss, conductor loss, and the total attenuation will be displayed in dB/cm.


Stripline

Stripline Analysis and Design (quasi-static)

This routine is used to find the characteristic impedance of a stripline transmission line, given the substrate parameters and line width, or to find the line width, given the substrate parameters and the characteristic impedance. Attenuation due to conductor and dielectric loss can also be calculated, if desired. These solutions employ closed-form quasi-static formulas that generally give good results for most practical design problems, as discussed in Reference [9].

First choose either the Compute Zo option, or the Compute width option, by clicking the appropriate button at the left side of the window. This will change the input statements for the relevant data entry. When computing characteristic impedance, you will enter the dielectric constant, the ground plane spacing, the line width, and the strip thickness. Click the Compute Zo button to compute and print the characteristic impedance and the cut-off frequency of the parallel-plate waveguide mode. When calculating line width for stripline design, you will enter the characteristic impedance, the dielectric constant, the ground plane spacing, and the strip thickness. Click the Compute Width button to compute and display the required line width, and the cut-off frequency of the parallel-plate waveguide mode.

You may compute the attenuation for the line for either the line analysis or the line design case. Enter the frequency, the loss tangent of the dielectric filling material, and the conductivity of the stripline conductors. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute Attenuation button, and the attenuation due to dielectric loss, conductor loss, and the total attenuation will be displayed in dB/cm.


Multilayer Microstrip Line

Multilayer Microstrip Line Analysis (full wave)

This routine implements a full-wave moment method solution for the analysis of a multilayered microstrip line geometry. Up to four dielectric layers below the strip conductor, and four dielectric layers above the strip conductor, can be treated. The effective dielectric constant, the characteristic impedance, and the attenuation constant are computed. This is a rigorous spectral domain solution using the exact Green's function for a multi-layer dielectric medium, with the spectral perturbation technique for calculating the attenuation constant Reference [22].

Begin by entering the number of dielectric layers above the strip conductor. Then enter the thickness, dielectric constant, and loss tangent for each layer, using the scroll bar to move between layers. Note that there must be at least one layer above the strip, and that the topmost layer is always of infinite thickness. Next enter the number of layers below the strip, and the corresponding parameters for each layer. The routine plots a small graphic showing the actual number of layers in the multilayer geometry. Then enter the frequency, line width, and the conductivity of the line. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute button, and the effective dielectric constant, the characteristic impedance, and the total attenuation (in dB/cm) will be displayed. The attenuation includes dielectric loss and loss due to finite conductivity of the strip; loss in the ground plane is not included.

Note that, unlike most other PCAAD routines, this routine uses dimensions in millimeters.


Multilayer Stripline

Multilayer Stripline Analysis (full wave)

This routine implements a full-wave moment method solution for the analysis of a multilayered stripline geometry. Up to four dielectric layers below the strip conductor, and four dielectric layers above the strip conductor, can be treated. The stripline geometry assumes ground planes at the bottom and top of the structure. The effective dielectric constant, the characteristic impedance, and the attenuation constant are computed. This is a rigorous spectral domain solution using the exact Green's function for a multi-layer dielectric medium, with the spectral perturbation technique for calculating the attenuation constant Reference [22].

Begin by entering the number of dielectric layers above the strip. Then enter the thickness, dielectric constant, and loss tangent for each layer, using the scroll bar to move between layers. Next enter the number of layers below the strip, and the corresponding parameters for each layer. The routine plots a small graphic showing the actual number of layers in the multilayer geometry. Then enter the frequency, line width, and the conductivity of the line. The conductivity may be entered as a value in Siemens/meter, or a specific conductor material can be selected from the drop-down menu at the right of the conductivity box. Click the Compute button, and the effective dielectric constant, the characteristic impedance, and the total attenuation (in dB/cm) will be displayed. The attenuation includes dielectric loss and loss due to finite conductivity of the strip; loss in the ground plane is not included.

Note that, unlike most other PCAAD routines, this routine uses dimensions in millimeters.


Coupled Microstrip Line

Coupled Microstrip Lines (full wave)

This routine implements a full-wave moment method solution for the analysis of coupled microstrip lines, including a dielectric cover layer. This is a rigorous spectral domain solution using the exact Green's function for the dielectric medium. The effective dielectric constant and characteristic impedance are calculated for even and odd propagation modes. (Although it is straightforward to compute attenuation for coupled lines, the attenuation constants for even and odd modes are generally not useful in practice. This is because most applications of coupled lines involve a superposition of even and odd modes, and superposition does not apply to power loss.)

Begin by entering the dielectric constant and thickness for the substrate layer below the strip, then the dielectric constant and thickness for the cover layer (enter values of 0 and 1, respectively, if there is no cover layer). Next enter the width of the lines and the (edge-to-edge) separation between the lines, followed by the frequency. Click the Compute button, and the effective dielectric constant and the characteristic impedance will be displayed for the even and odd modes of the coupled lines.

Note that, unlike most other PCAAD routines, this routine uses dimensions in millimeters.


Coupled Stripline

Coupled Striplines (full wave)

This routine implements a full-wave moment method solution for the analysis of coupled striplines, with separate dielectric layers above and below the strip conductors. This is a rigorous spectral domain solution using the exact Green's function for the dielectric medium. The effective dielectric constant and characteristic impedance are calculated for even and odd propagation modes. (Although it is straightforward to compute attenuation for coupled lines, the attenuation constants for even and odd modes are generally not useful in practice. This is because most applications of coupled lines involve a superposition of even and odd modes, and superposition does not apply to power loss.)

Begin by entering the dielectric constant and thickness for the dielectric layer below the strip, then the dielectric constant and thickness for the dielectric layer above the strip. Next enter the width of the lines and the (edge-to-edge) separation between the lines, followed by the frequency. Click the Compute button, and the effective dielectric constant and the characteristic impedance will be displayed for the even and odd modes of the coupled lines.

Note that, unlike most other PCAAD routines, this routine uses dimensions in millimeters.


Surface Waves (single layer)

Single Layer Surface Wave Analysis

This routine computes TM and TE surface wave propagation constants for a single grounded dielectric substrate. It first determines the number of propagating surface wave modes on the slab, then uses a Newton-Rhapson iteration technique to find the propagation constants. It is based on standard results, as found in Reference [9].

Enter the frequency, the substrate dielectric constant, and the substrate thickness. Click the Compute button to print out the normalized (to ko) propagation constant for each propagating surface wave mode. The routine also computes and prints an approximate value for the radiation efficiency of a printed antenna on this substrate. This efficiency is based on power lost to surface waves, and is meaningful because it has been shown that this type of radiation efficiency is fairly independent of the type or size of the actual radiating element, depending primarily on the substrate dielectric constant and thickness, as discussed in Reference [16].

Note that, unlike most other PCAAD routines, this routine uses dimensions in millimeters.


Surface Waves (multilayer)

Multilayer Surface Wave Analysis

This routine computes the TMo (lowest order) surface wave propagation constant for a multilayer dielectric geometry with a ground plane. This is a rigorous spectral domain solution using the exact Green's function for a multi-layer dielectric medium Reference [22].

Begin by entering the number of dielectric layers above the ground plane. Note that there must be at least two layers, and that the top layer is of infinite extent. Next enter the thickness and dielectric constant for each layer, using the scroll bar to move between layers. The routine plots a small graphic showing the actual number of layers in the multilayer geometry. Then enter the frequency, and click the Compute button to compute the propagation constant of the surface wave mode. The propagation constant is also printed out in normalized (to k0) form.

Note that, unlike most other PCAAD routines, this routine uses dimensions in millimeters.


Link Loss

Communication Link Loss

This routine computes link loss for a radio communications link using the Friis formula. Enter the gains of the transmit and receive antennas, the range between transmitter and receiver, the frequency, the polarization mismatch (enter 0 dB for no mismatch), and the atmospheric attenuation. The routine calculates the link loss assuming impedance matched antennas.


Polarization Mismatch

Polarization Mismatch Between Two Antennas

This routine calculates the maximum and minimum polarization mismatch between two arbitrarily polarized antennas using the formulation presented in Reference [23].

Enter the axial ratio of each antenna, and specify the polarization sense (right hand or left hand). For an ideal linearly polarized antenna, enter a large value, such as 100 dB, for its axial ratio. The routine then computes the maximum and minimum losses due to polarization mismatch. Note that these values, being defined as losses, appear as positive dB. The actual loss in practice will depend on the relative orientation of the polarization ellipses of the two antennas, but will always be between the minimum and maximum values given by this routine.


Atmospheric Attenuation

Atmospheric and Rain Attenuation

This routine presents a graph of atmospheric attenuation versus frequency, along with attenuation due to rain, as given in Reference [7]. The atmospheric attenuation is at sea level, while the rain attenuation is given for three different rain rates.


Axial Ratio vs. Errors

Axial Ratio vs. Amplitude and Phase Errors

Many circularly polarized antennas are constructed using two orthogonal linearly polarized antennas fed with equal amplitude excitations that are 90° out of phase. As presented in Reference [24], this routine gives the resulting axial ratio due to errors in the actual amplitudes and phases. Enter the amplitude error (in dB), and the phase error (in degrees). The resulting axial ratio is calculated. Changing the sign of the amplitude error, or the phase error, does not change the resulting axial ratio. A graph illustrating constant axial ratio contours versus amplitude and phase errors is also shown - this can be useful for estimating the amplitude and phase accuracies required for a given axial ratio.


Antenna Noise Temperature

This routine presents a graph of the background noise temperature for an ideal antenna, versus frequency and elevation angle (elevation angle is measured from the horizon, so 90° is overhead). The antenna is assumed to have a narrow pencil beam, with no sidelobes pointed toward the earth. Results are given for various elevation angles. The minimum and maximum noise temperatures are also shown. This data is taken from Reference [26].


Calculator

Microwave and Antenna Calculator

This routine provides a calculator function for three different types of conversions: conversion of dimensions (between meters, centimeters, millimeters, inches, and mils), conversion of return loss and VSWR (between return loss, reflection coefficient magnitude, VSWR, and mismatch loss), and conversion of dB and ratios (between ratios in dB, nepers, power ratios, and voltage ratios). Each of these functions operate in the same way. Simply enter the known value in the appropriate text box, press Enter, and the converted values will appear in the remaining boxes. Note that all dimensions must be greater than zero; return loss, reflection coefficient magnitude, mismatch loss, voltage ratio, and power ratio must be non-negative; and VSWR must be unity or larger.


References

[1] C. A. Balanis, Antenna Theory: Analysis and Design, 3rd edition, John Wiley & Sons, New York, NY, 2012.

[2] W. L. Stutzman and G. A. Thiele, Antenna Theory and Design, 3rd edition, John Wiley & Sons, New York, NY, 2012.

[3] J. D. Kraus and R. J. Marhefka, Antennas, 3rd edition, McGraw-Hill, New York, NY, 2001.

[4] T. Milligan, Modern Antenna Design, 2nd edition, McGraw-Hill, New York, NY, 2005.

[5] D. M. Pozar and D. H. Schaubert, Microstrip Antennas: The Analysis and Design of Microstrip Antennas and Arrays, IEEE Press, New Jersey, 1995.

[6] A. W. Rudge, K. Milne, A. D. Olver, and P. Knight, editors, Handbook of Antenna Design, Vol.2, Peter Peregrinus Press, London, 1983

[7] Y. T. Lo and S. W. Lee, Antenna Handbook, Van Nostrand, New York, 1988.

[8] J. R. James and P. S. Hall, Editors, Handbook of Microstrip Antennas, Peter Peregrinus Press, London, 1989.

[9] D. M. Pozar, Microwave Engineering, 4th edition, John Wiley & Sons, New York, NY, 2012.

[10] J. H. Richmond, "Computer Program for Thin-Wire Structures in a Homogeneous Medium", Technical Report TR-2902-12, ElectroScience Laboratory, Ohio State University.

[11] M. Kluskens, "A New Computer Algorithm for the Complex Exponential Integral in the Method of Moments", IEEE Trans. Antennas and Propagation, vol. 47, pp. 803 - 806, May 1999.

[12] D. M. Pozar and D. H. Schaubert, "Scan Blindness in Infinite Arrays of Printed Dipoles", IEEE Trans. Antennas and Propagation, Vol. AP-32, pp. 602-610, June 1984.

[13] K. R. Carver and J. W. Mink, "Microstrip Antenna Technology", IEEE Trans. Antennas and Propagation, vol. AP-29, pp. 2-24, January 1981.

[14] D. M. Pozar, "A Microstrip Antenna Aperture Coupled to a Microstrip Line", Electronics Letters, Vol. 21, pp.49-50, January 17, 1985.

[15] D. M. Pozar, "A Reciprocity Method of Analysis for Printed Slot and Slot Coupled Microstrip Antennas", IEEE Trans. Antennas and Propagation, Vol. AP-34, pp.1439-1446, December 1986.

[16] D. M. Pozar, "Rigorous Closed-form Expressions for the Surface Wave Loss of Printed Antennas", Electronics Letters, vol. 26, pp. 954-956, June 1990.

[17] E. Jull, Aperture Antennas and Diffraction Theory, Peter Peregrinus, London, 1981.

[18] A. D. Bresler, "A New Algorithm for Calculating the Current Distributions of Dolph-Chebyshev Arrays", IEEE Trans. Antennas and Propagation, vol. AP-28, pp. 951-952, November 1980.

[19] A. T. Villeneuve, "Taylor Patterns for Discrete Arrays", IEEE Trans. Antennas and Propagation, vol. AP-32, pp. 1089-1093, October 1984.

[20] S. M. Duffy and M. A. Gouker, "A Modified Transmission Line Model for Cavity Backed Microstrip Antennas", 1996 IEEE Antennas and Propagation International Symposium Digest, pp. 196-199, July 1996.

[21] E. A. Swanson, P. Elliot, and D. M. Pozar, "Design of a Broadband Corrugated Horn Antenna", Microwave Remote Sensing Laboratory Report MIRSL-82-1, University of Massachusetts, 1982.

[22] N. K. Das and D. M. Pozar, "Full-wave Spectral Domain Computation of Material, Radiation, and Guided Wave Losses in Infinite Multilayered Printed Transmission Lines", IEEE Trans. Microwave Theory and Techniques, pp. 54-63, January 1991.

[23] A. Simmons, “Polarization Mismatch Loss”, IEEE Antennas and Propagation Newsletter, pp. 15-16, August 1984.

[24] D. M. Pozar and S. Targonski, “Axial Ratio of Circularly Polarized Antennas with Amplitude and Phase Errors”, IEEE Antennas and Propagation Magazine, pp. 45-46, October 1990.

[25] R. J. Mailloux, Phased Array Antenna Handbook, 2nd edition, Artech House, 2005.

[26] L. Blake, “Antenna Noise Temperature”, IEEE Antennas and Propagation Newsletter, pp. 8-9, December 1984.

[27] A. W. Love, “The Diagonal Horn Antenna”, Microwave Journal, pp. 117-122, March 1962.

[28] D. L. Waidelich, “The Phase Center of Aperture Antennas”, IEEE Trans. Antennas and Propagation, vol. AP-28, pp. 263-264, March 1980.

[29] Y. Rahmat-Samii and V. Galindo Israel, "Shaped Reflector Antenna Analysis Using the Jacobi-Bessel Series", IEEE Trans. Antennas and Propagation, vol. AP-28, pp. 425-435, July 1980.


Array Amplitude Distribution

The Amplitude Distribution window allows you to choose from four commonly-used amplitude distributions, or to read amplitude data from a data file:

Uniform | uniform amplitude distribution
Chebyshev | Chebyshev amplitude taper for a specified sidelobe level
Taylor | Taylor amplitude taper for a specified sidelobe level and n-bar parameter
Cosine on a pedestal | cosine on a pedestal distribution of the form C+(1-C)cos(px/L)
Data File | amplitude data is read from a specified data file

Select one of the five amplitude distribution options by clicking on the appropriate button. For the Chebyshev distribution the desired sidelobe level must also be entered as a positive value in dB. The Chebyshev coefficients are computed using the highly accurate and efficient algorithm discussed in Reference [18]. The Taylor distribution option requires sidelobe level as well as the n-bar parameter to be entered; the n-bar parameter must be in the range from 2 to 6. The Taylor coefficients are computed using the algorithm of Reference [20], which is much more accurate and efficient for large arrays than the null-matching or aperture sampling techniques. The cosine-on-a-pedestal distribution requires entry of the pedestal height, C, in negative dB. Data read from an ASCII data file should be in absolute (not dB) voltage or current form (not power), with one line for each element in the array. If the size of the array is larger than the number of elements in the specified data file, the unspecified element amplitudes will be set to zero. For planar arrays, the elements are counted by rows, along the x-dimension. You also have the option of including Gaussian distributed zero-mean random errors to any amplitude distribution. This is done by specifying the rms value (or standard deviation) of the errors in dB; specifying a value of zero rms error implies no amplitude error. Entering a new value for the rms error will cause the amplitude excitation to be re-computed, and updated in the list box.

The resulting excitation amplitudes for the array elements are shown in the list box in the amplitude distribution window, in absolute form (voltage or current amplitudes), and in dB. The scroll bar can be used to scroll through the list of excitations. You also have the option of saving the amplitude distribution to a data file, by clicking the Save Data button. You can exit the Amplitude Distribution window by clicking the OK button.


Array Element Type

The Array Element Type window allows you to select from one of six different element types, and to select the polarization of the element when possible:

Isotropic | ideal isotropic point source elements
Wire Dipole | thin wire dipole with or without a ground plane
Rectangular Waveguide | rectangular waveguide aperture in a ground plane
Circular Waveguide | circular waveguide aperture in a ground plane
Rectangular Microstrip Patch | rectangular microstrip patch elements
Circular Microstrip Patch | circular microstrip patch elements

Select the array element type by clicking on the appropriate button. All but the isotropic element option requires entry of the element dimensions and polarization. The waveguide elements and the microstrip patch elements may be polarized in either the x direction (the plane of the array), or in the y direction (orthogonal to the plane of the array). The wire dipole may be polarized in the x, y, or z (vertical) direction, and may include a ground plane spaced a specified distance below the element. Specify no ground plane by setting the ground plane spacing to zero. The rectangular waveguide is assumed to have a TE10 mode distribution, while the circular waveguide is assumed to have a TE11 mode distribution. The patch elements are assumed to be operating in the dominant resonant mode.


Array Phase Distribution

The Array Phase Distribution window allows you to choose the phase variation across the array from one of three options, or to read phase data from a data file.

Broadside Beam | phase set to zero on each element
Specify Scan Angle | progressive phase shift to steer beam to a specified scan angle
Specify Phase Shift | progressive phase shift applied
Data File | phase data is read from a specified data file

The Specify Scan Angle and Specify Phase Shift options require entry of the main beam scan angle, or the interelement phase shift, respectively. Specifying the scan angle for a linear array requires only the elevation angle, while the scan angle for a planar array requires both the elevation angle and the azimuth angle. Once a phase distribution has been selected, the routine will calculate the new set of excitation phases for the array elements, and display them in the list box. The scroll bar can be used to scroll through the list of excitation phases. These quantities will change when the frequency or element spacing is changed from the linear array window. Gaussian distributed zero-mean errors can also be added to the phase distribution by entering a non-zero value for the rms error (standard deviation). Entering a non-zero value causes the phase excitation to be modified, and updated in the list box. The phase excitation data can also be saved in an ASCII data file by clicking the Save Data button.


Contents

PCAAD 7.0 for Windows Help Contents

General Instructions for Using PCAAD 7.0

PCAAD 7.0 Routines

References


Rectangular Graph Plotting Options

Plot options for rectangular data plots can be selected by clicking the Plot Options button in the plot routine window. Each data set can be plotted with small circles at individual data points, and with either linear or spline interpolation curves. Linear interpolation requires at least two data points, while spline interpolation requires at least three data points. The colors for each data set are shown, and can be changed from their default colors by clicking the appropriate Change button. This may make the display more legible for monochrome or notebook computer displays. Colors can also be set from the Default Plot Colors window available under Plot on the main menu bar – this window also allows saving of your color selections as defaults. The minimum and maximum values can be selected for the horizontal and vertical axes, as can the number of divisions for each axis, and the labels used on the axes. For VSWR and Return Loss plots, the program sets the minimum VSWR to one, and the maximum return loss to zero.


Phase Center

The phase center of an antenna is defined as the apparent center (along the axis of the main beam) of the circular far-zone phase fronts. For an ideal point source, the phase center is located at the point source. For small apertures with uniform phase, the phase center is located at the center of the aperture. For antennas with non-uniform phase, however, the phase center may be behind or in front of the aperture, and is generally different for different azimuthal planes. In many cases a unique phase center cannot be defined.

The phase center is calculated for sectoral, pyramidal, corrugated pyramidal, diagonal, conical, and corrugated conical horn antennas using the derivative method with numerical integration Reference [28]. The phase center location may not be accurate for horns with very wide angles or very large phase errors


Pattern Plot Options

Plot options for the polar and rectangular plotting routines can be selected by clicking the Set Plot Options button in the plot routine window. For each pattern data set (#1 through #5) you may choose the color of the plotted line, the Line Style (solid line, dotted line, dashed line, or data points only), the line thickness, an offset (in dB), and a data set title. Select the Data Set by using the pull down box, then select the line features as desired. The pattern plot colors match those used in the display boxes at the left of the plotting routine window. The offset is a constant value that is added to each pattern, which may be useful for plotting patterns in terms of absolute gain or directivity (use the gain or directivity as the offset), or for plotting patterns that have been normalized to different values (such as co-pol and cross-pol patterns).

Plot parameters can be adjusted using scroll boxes for the number of divisions on the radial (polar plot) or vertical (rectangular plot) axis, for the number of dB per division, and for the maximum value of the plot (in dB). In the case of rectangular plots, the maximum plot range can be adjusted from between +/- 3° to +/- 90° this feature is useful when plotting the patterns of antennas having very narrow beamwidths. The angle cursor display function can be turned on or off using the Show Cursor check box. The colors of the angle cursor and the plot background are shown, and can be changed from their initial default colors by clicking the appropriate Change button. This may make the display more legible for monochrome or notebook computer displays, and can be useful when importing the graph into a word processor. Colors can also be set from the Default Plot Colors window available under Plot on the main menu bar – this window also allows saving of your color selections as defaults.


Smith Chart Plot Options

Plot options for the Smith chart plot can be selected by clicking the Set Plot Options button in the plot routine window. Each impedance locus can be plotted with small circles at individual data points, and with either linear or spline interpolation curves. Linear interpolation requires at least two data points, while spline interpolation requires at least three data points. Display of data point and data set labels can be controlled using the Show Data Point and Set Labels check box, the SWR and phase cursors can be controlled using the Show SWR and Phase Cursors check box, and the rotated 1+jx circle can be controlled using the Show Rotated 1+jx Circle. Data set label text can be entered in a text box, and is color-coded with the plot colors for the data points. The characteristic impedance of the chart can also be changed in this window. The colors of the plotted data sets, the VSWR and 1+jx circles, the phase cursor, and the plot background are shown, and can be changed from their default colors of red, blue, yellow, and gray by clicking the appropriate Change button. This may make the display more legible for monochrome or notebook computer displays, and can be useful when importing the graph into a word processor. Colors can also be set from the Default Plot Colors window available under Plot on the main menu bar – this window also allows saving of your color selections as defaults.